<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Hatirlatmalar;

use Brian2694\Toastr\Facades\Toastr;

class HatirlatmalarController extends Controller
{
    public function listele()
    {
        $hatirlatmalar = Hatirlatmalar::orderByDesc('id')->paginate(10);
        return view('admin/hatirlatmalar/listele', compact('hatirlatmalar'));
    }

    public function kaydet()
    {
        $hatirlatma = new Hatirlatmalar;

        $hatirlatma->baslik = request('baslik');
        $hatirlatma->icerik = request('icerik');
        $hatirlatma->tarih = request('tarih');
        $hatirlatma->durum = "BEKLEMEDE";

        $hatirlatma->save();

        if ($hatirlatma) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/hatirlatmalar/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/hatirlatmalar/listele');
           }

    }


    public function duzenle()
    {
        $duzenlenecekhatirlatma = Hatirlatmalar::find(request('id'));

        $duzenlenecekhatirlatma->baslik = request('baslik1');
        $duzenlenecekhatirlatma->icerik = request('icerik1');
        $duzenlenecekhatirlatma->tarih = request('tarih1');


        $duzenlenecekhatirlatma->save();

        if ($duzenlenecekhatirlatma) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/hatirlatmalar/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/hatirlatmalar/listele');
           }
    }


    public function tamamla()
    {
        $hatirlatma = Hatirlatmalar::find(request('id'));


        $hatirlatma->durum = "TAMAMLANDI";

        $hatirlatma->save();

        if ($hatirlatma) {
            Toastr::success('Hatırlatma Tamamlandı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home');
           }

    }

}
