@extends('admin.template')
@section('icerik')
<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>


    <div class="container-fluid">
    <div class="row">
        <div class="col-md-6 ">
            <div class="card card-primary card-tabs">
              <div class="card-header p-0 pt-1">
                <ul class="nav nav-tabs" id="custom-tabs-one-tab" role="tablist">
                  <li class="nav-item">
                    <a class="nav-link" id="custom-tabs-one-home-tab" data-toggle="pill" href="#custom-tabs-one-home" role="tab" aria-controls="custom-tabs-one-home" aria-selected="false">{{ $veri->ayarlar_firma_1 }}</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" id="custom-tabs-one-sifre-tab" data-toggle="pill" href="#custom-tabs-one-sifre" role="tab" aria-controls="custom-tabs-one-sifre" aria-selected="false">{{ $veri->ayarlar_firma_2 }}</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" id="custom-tabs-one-logo-tab" data-toggle="pill" href="#custom-tabs-one-logo" role="tab" aria-controls="custom-tabs-one-logo" aria-selected="false">{{ $veri->ayarlar_firma_3 }}</a>
                  </li>
                </ul>
              </div>
              <div class="card-body">
                <div class="tab-content" id="custom-tabs-one-tabContent">
                    <!-- firma bilgileri -->
                  <div class="tab-pane fade active show" id="custom-tabs-one-home" role="tabpanel" aria-labelledby="custom-tabs-one-home-tab">
                    <form method="POST" action="{{ route('home.ayarlar.firmaguncelle')}}">
                        {{ csrf_field() }}
                    <div class="form-group row">
                        <div class="col-lg-12">
                            <div class="form-group row add">
                                <label class="control-label" for="title">{{ $veri->ayarlar_firma_firma_1 }}</label>
                                <textarea name="isim" id="isim"  rows="1" class="form-control">{{ $firma->isim }}</textarea>

                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group row add">
                                <label class="control-label" for="title">{{ $veri->ayarlar_firma_firma_2 }}</label>
                                <textarea name="telefon" id="telefon"  rows="1" class="form-control">{{ $firma->telefon }}</textarea>

                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group row add">
                                <label class="control-label" for="title">{{ $veri->ayarlar_firma_firma_3 }}</label>
                                <textarea name="fax" id="fax"  rows="1" class="form-control">{{ $firma->fax }}</textarea>

                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group row add">
                                <label class="control-label" for="title">{{ $veri->ayarlar_firma_firma_4 }}</label>
                                <textarea name="email" id="email"  rows="1" class="form-control">{{ $firma->email }}</textarea>

                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group row add">
                                <label class="control-label" for="title">{{ $veri->ayarlar_firma_firma_5 }}</label>
                               <textarea name="adres" id="adres"  rows="4" class="form-control">{{ $firma->adres }}</textarea>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group row add">
                                <label class="control-label" for="title">{{ $veri->ayarlar_firma_firma_6 }}</label>
                               <textarea name="hakkinda" id="hakkinda"  rows="4" class="form-control">{{ $firma->hakkinda }}</textarea>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group row add">
                                <label class="control-label" for="title">{{ $veri->ayarlar_firma_firma_7 }}</label>

                                        <textarea name="servis_sartlari" class=" form-control" rows="10">{{ $firma->servis_sartlari }}</textarea>

                                </div>
                        </div>

                    </div>

                    <div class="form-group row">
                        <div class="col-sm-3">
                            <div class="input-group input-group">
                                <button type="submit" class="btn btn-success btn-block">{{ $veri->ayarlar_firma_firma_8 }}</button>
                              </div>
                        </div>

                    </div>
                </form>
                </div>
                <!-- firma bilgileri -->
                <!-- şifre değiştir -->
                  <div class="tab-pane fade" id="custom-tabs-one-sifre" role="tabpanel" aria-labelledby="custom-tabs-one-profile-tab">

                    <form method="POST" action="{{ route('home.ayarlar.sifredegistir') }}" class="form-horizontal">
                        @method('PATCH')
                        @csrf
                        {{ csrf_field() }}
                        <div class="form-group">
                            <label for="OldPassword" class="col-sm-3 control-label">{{ $veri->ayarlar_firma_sifre_1 }}</label>
                            <div class="col-sm-9">
                                <div class="form-line">
                                    <input type="password" class="form-control" id="OldPassword"
                                        name="OldPassword" placeholder="Eski Şifre" required>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="NewPassword" class="col-sm-3 control-label">{{ $veri->ayarlar_firma_sifre_2 }}</label>
                            <div class="col-sm-9">
                                <div class="form-line">
                                    <input type="password" class="form-control" id="NewPassword"
                                        name="password" placeholder="Yeni Şifre" required>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="NewPasswordConfirm" class="col-sm-3 control-label">{{ $veri->ayarlar_firma_sifre_3 }}</label>
                            <div class="col-sm-9">
                                <div class="form-line">
                                    <input type="password" class="form-control" id="NewPasswordConfirm"
                                        name="password_confirmation" placeholder="Yeni Şifre (Tekrar)"
                                        required>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-offset-3 col-sm-9">
                                <button type="submit" class="btn btn-danger">{{ $veri->ayarlar_firma_sifre_4 }}</button>
                            </div>
                        </div>
                    </form>
                </div>
                <!-- şifre değiştir -->

                 <!-- logo-->
                 <div class="tab-pane fade" id="custom-tabs-one-logo" role="tabpanel" aria-labelledby="custom-tabs-one-profile-tab">
                    <form method="POST" action="{{ route('home.ayarlar.logo')}}" enctype="multipart/form-data">
                        @csrf
                    <div class="form-group">
                        <input type="file" name="logo" class="form-control" required></input>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary btn-block">{{ $veri->ayarlar_firma_logo_2 }}</button>

                    </div>
                </form>
                </div>
                <!-- logo -->


                </div>
              </div>
              <!-- /.card -->
            </div>
          </div>
        </div>
  <!-- /.row -->
</div>

</div>
@endsection

@section('css')


<link href="/admin/plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.css" rel="stylesheet">
<link href="/admin/plugins/dropzone/dropzone.css" rel="stylesheet">

@endsection

@section('js')
<script src="/admin/plugins/ckeditor/ckeditor.js"></script>


<script>



        $(function () {
        //CKEditor
        CKEDITOR.replace('ckeditor2',options);
        CKEDITOR.config.height = 300;
        CKEDITOR.config.width = 100%;
        });
</script>

@endsection
