<!DOCTYPE html>
<html>

<head>
  <link rel="stylesheet" href="/yonetim/print_style.css" />
</head>

<body>

  <div class="page-header" style="text-align: center">

  </div>

  <div class="page-footer">


    <center>{{ $firma->isim }}
        <br>
        {{ $firma->adres }}
        <br>
        Telefon: {{ $firma->telefon }}  / Faks: {{ $firma->fax }} / Email: {{ $firma->email }}

    </center>
  </div>

  <table>

    <thead>
      <tr>
        <td>
          <!--place holder for the fixed-position header-->
          <div class="page-header-space"></div>
        </td>
      </tr>
    </thead>

    <tbody>
      <tr>
        <td>
          <!--*** CONTENT GOES HERE ***-->
          <div class="page">
            <table width='100%'>
                <tr>
                    <th colspan="3">ÜRÜN TESLİM FORMU</th>
                </tr>
                <tr></tr>
                <tr>
                    <td style="text-align:left">Servis No:{{ $servis_fisi->id }}</td>
                    <td style="text-align:center">Cari No:{{ $servis_fisi->cari_id }}</td>
                    <td style="text-align:right">Tarih: {{ $servis_fisi->created_at }}</td>
                </tr>

            </table>
            &emsp;

            <table class="show" width= 100% >
                <tr class="show" style="height:30px">
                    <th class="show" colspan="4" >Cari Bilgileri</th>
                </tr>
                <tr class="show" style="height:30px">
                    <td class="show" style="width:20%">Cari Adı:</td>
                    <td class="show" style="width:30%">{{ $servis_fisi->cari->isim }}</td>
                    <td class="show" style="width:15%">Telefon</td>
                    <td class="show" style="width:30%">{{ $servis_fisi->cari->telefon }}</td>
                </tr>
                <tr class="show" style="height:30px">
                    <td class="show">E-Posta</td>
                    <td class="show">{{ $servis_fisi->cari->email }}</td>
                    <td class="show">TC/Vergi No</td>
                    <td class="show"></td>
                </tr>
                <tr style="height:50px" class="show" >
                    <td class="show" >Adres</td>
                    <td class="show"  colspan="3" >{{ $servis_fisi->cari->adres }}</td>
                </tr>
                <tr class="show" style="height:30px">

                </tr>

                <tr class="show" style="height:30px">
                    <th class="show" colspan="4" width="30%">Ürün Bilgileri</th>
                </tr>
                <tr class="show" style="height:30px">
                    <td class="show" style="width:10%">Ürün :</td>
                    <td class="show" style="width:30%">{{ $servis_fisi->urun->isim }}</td>
                    <td class="show" style="width:15%">Marka</td>
                    <td class="show" style="width:30%">{{ $servis_fisi->marka->isim }}</td>
                </tr>
                <tr class="show" style="height:30px">
                    <td class="show" style="width:10%">Seri No:</td>
                    <td class="show" style="width:30%">{{ $servis_fisi->seri }}</td>
                    <td class="show" style="width:15%">Model No:</td>
                    <td class="show" style="width:30%">{{ $servis_fisi->model }}</td>
                </tr>
                <tr class="show" style="height:30px">
                    <td class="show" style="width:10%">Garanti:</td>
                    <td class="show" style="width:30%">{{ $servis_fisi->garanti }}</td>
                    <td class="show" style="width:15%">Kabul Tarihi:</td>
                    <td class="show" style="width:30%">{{ $servis_fisi->created_at }}</td>
                </tr>
                <tr class="show" style="height:30px">

                </tr>
                <tr class="show" style="height:30px">
                    <th class="show" colspan="4" width="30%">Servis Bilgileri</th>
                </tr>

                <tr style="height:50px" class="show" >
                    <td class="show" colspan="1">Bildirilen Arıza</td>
                    <td class="show"  colspan="3" >{{ $servis_fisi->ariza }}</td>
                </tr>
                <tr style="height:50px" class="show" >
                    <td class="show" colspan="1">Birlikte Gelenler</td>
                    <td class="show"  colspan="3" >{{ $servis_fisi->birlikte_gelenler }}</td>
                </tr>
                <tr style="height:50px" class="show" >
                    <td class="show" colspan="1">Servis Görüşü</td>
                    <td class="show"  colspan="3" >{{ $servis_fisi->aciklama }}</td>
                </tr>
                <tr style="height:310px" class="show" >
                    <td class="show" colspan="1">Yapılan İşlemler</td>
                    <td class="show"  colspan="3" >
                        <table class="show" width= 100% >
                            <tr style="height:25px" >
                                <th class="show" style="text-align:left" style="width:80%">Parça Adı</th>
                                <th class="show" style="width:20%">Birim Fiyat</th>
                            </tr>
                            @foreach ($yedek_parcalar as $yedek_parca)
                            <tr style="height:25px" >
                                <td class="show" style="text-align:left" style="width:70%">{{ $yedek_parca->parca->isim }}</td>
                                <td class="show" style="width:30%">{{ number_format($yedek_parca->fiyat,2) }} </td>
                            </tr>
                            @endforeach
                            @foreach ($hizmetler as $hizmet)
                            <tr style="height:25px" >
                                <td class="show" style="text-align:left" style="width:70%">{{ $hizmet->hizmet->isim }}</td>
                                <td class="show" style="width:30%">{{ number_format($hizmet->fiyat,2) }} </td>
                            </tr>
                            @endforeach
                        </table>
                    </td>
                </tr>
                <tr style="height:30px" class="show" >
                    <td class="show" ></td>
                    <td class="show">
                        <table  width= 100% >
                            <tr style="height:30px" class="show" >
                                <th  style="width:50%">Ara Toplam: </th>
                                <td  style="width:50%">{{ $aratoplam }} TL</td>
                            </tr>
                        </table>
                    </td>
                    <td class="show">
                        <table  width= 100% >
                            <tr style="height:30px" class="show" >
                                <th  style="width:50%">KDV:</th>
                                <td  style="width:50%">%18</td>
                            </tr>
                        </table>
                    </td>
                    <td class="show">
                        <table  width= 100% >
                            <tr style="height:30px" class="show" >
                                <th  style="width:50%">TOPLAM :</th>
                                <td  style="width:50%">{{ $toplam }} TL</td>
                            </tr>
                        </table>
                    </td>
                </tr>

            </table>
<br>
TENKİK SERVİS ŞARTLARI
<br><br>
{!! ($sartlar) !!}
       <br>
       <br>
Bu Formun ön ve arka sayfasında yazan bütün bilgileri okudum onaylıyorum.
            <br>
            <br>
            <table  class="show" width= 100% >
                <tr>
                    <th>TESLİM ALAN</th>
                    <th>TESLİM EDEN</th>
                </tr>
                <tr>
                    <td ><center>{{  Auth::user()->isim }}</center></td>
                    <td><center></center></td>
                </tr>
            </table>
            <br>
 </td>
      </tr>
    </tbody>

    <tfoot>
      <tr>
        <td>
          <!--place holder for the fixed-position footer-->
          <div class="page-footer-space"></div>
        </td>
      </tr>
    </tfoot>

  </table>
</div>
  <script src=“https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js”></script>



<script>

  window.onload = function () {
    window.print();

}
</script>

</body>

</html>
