@extends('admin.template')
@section('icerik')
<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>
<form method="POST" action="{{ route('home.hizmetler.kaydet')}}">
    {{ csrf_field() }}

    <div class="container-fluid">
    <div class="row">
        <div class="col-lg-6">
            <div class="card card-dark">
                <div class="card-header">
                    <h5 class="m-0">{{ $veri->hizmet_ekle_1 }}</h5>
                </div>
                <div class="card-body">
                    <div class="form-group row">
                        <div class="col-sm-12">
                            <input type="text" class="form-control" name="isim"  value="" placeholder='Hizmet Adı' required>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="col-sm-4">
                            <div class="input-group input-group">
                                <input type='currency'  name="fiyat" class="form-control" placeholder='Fiyat' value="0" required />
                              </div>
                        </div>
                        <div class="col-sm-4">
                            <input type="text" name="kdv" class="form-control"  placeholder="KDV %" value="" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-5">
                            <div class="input-group input-group">
                                <button type="submit" name="ekle" class="btn btn-success btn-block">{{ $veri->hizmet_ekle_2 }}</button>
                              </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
        </div>
  <!-- /.row -->
</div>
</form>
</div>
@endsection

@section('css')
<link rel="stylesheet" href="https://kendo.cdn.telerik.com/2020.2.617/styles/kendo.default-v2.min.css" />

@endsection

@section('js')



@endsection
