@extends('admin.template')
@section('icerik')

<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>
    {{ csrf_field() }}

    <div class="container-fluid">
    <div class="row">

        <div class="col-lg-12">
            <div class="card card-primary">
                <div class="card-body">

                    <div class="form-group ">

                        <table id="example" class="table table-bordered table-striped dataTable" role="grid" aria-describedby="example1_info">
                            <thead>
                                <tr>
                                    <th style="width: 5%">#</th>
                                <th style="width: 20%">{{ $veri->servis_fisi_listele_1 }}</th>
                                <th style="width: 15%">{{ $veri->servis_fisi_listele_2 }}</th>
                                <th style="width: 8%">{{ $veri->servis_fisi_listele_3}}</th>
                                <th style="width: 15%">{{ $veri->servis_fisi_listele_4 }}</th>
                                <th style="width: 5%">{{ $veri->servis_fisi_listele_5 }}</th>
                                <th style="width: 5%">{{ $veri->servis_fisi_listele_6 }}</th>
                                <th style="width: 10%">{{ $veri->servis_fisi_listele_7 }}</th>
                                <th style="width: 15%">{{ $veri->servis_fisi_listele_8 }}</th>
                                </tr>

                            </thead>
                            <tbody>
                                @foreach ($servisfisleri as $servisfisi)
                                <tr>
                                    <td >{{ $servisfisi->id }}</td>
                                    <td ><a title="{{ $servisfisi->cari->isim }}" >{{ \Illuminate\Support\Str::limit($servisfisi->cari->isim, $limit = 30, $end = '...') }}</a></td>
                                    <td ><a title="{{ $servisfisi->ariza }}" >{{ \Illuminate\Support\Str::limit($servisfisi->ariza, $limit = 20, $end = '...') }}</a></td>
                                    <td >{{ $servisfisi->urun->isim }}</td>
                                    <td ><b><label style="color:{{ $servisfisi->durum->renk }}" title="{{  $servisfisi->durum_aciklama  }}">{{ $servisfisi->durum->isim }}</label></b></td>
                                    <td >{{ $servisfisi->garanti }}</td>
                                    <td >{{ $servisfisi->bakiye($servisfisi->id)}}</td>
                                    <td >{{ $servisfisi->created_at->format('d/m/Y') }}</td>
                                    <td >
                                        <div class="btn-group">
                                            <button type="button" class="btn btn-secondary btn-sm dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                              <i class="fas fa-print"></i></button>
                                            <div class="dropdown-menu float-right" role="menu" x-placement="bottom-start" style="position: absolute; will-change: transform; top: 0px; left: 0px; transform: translate3d(0px, 31px, 0px);">
                                        @if (Auth::user()->yetki->servis_fisi_kabulform == 1)
                                        <a target="_blank" href="{{ route('home.form.kabul',$servisfisi->id) }}" class="dropdown-item">Kabul Formu</a>@endif
                                        @if (Auth::user()->yetki->servis_fisi_teslimform == 1)
                                        <a target="_blank" href="{{ route('home.form.teslim',$servisfisi->id) }}" class="dropdown-item">Teslim Formu</a>@endif
                                            </div>
                                          </div>
                                          @if (Auth::user()->yetki->servis_fisi_tahsilat == 1)
                                          <button title="Tahsilat Yap"  class='show-modal btn btn-info btn-sm tahsilat'
                                        data-id="{{ $servisfisi->id }}"
                                        data-cari_id="{{ $servisfisi->cari_id }}"
                                        data-toggle="modal" data-target="#tahsilat" ><span class='fa fa-cash-register'></span></button>@endif

                                        @if (Auth::user()->yetki->servis_fisi_duzenle == 1)
                                        <a title="Düzenle" href="{{ route('home.servis_fisi.duzenle',$servisfisi->id) }}" class='show-modal btn btn-primary btn-sm' ><span class='fa fa-edit'></span></a>@endif

                                        @if (Auth::user()->yetki->servis_fisi_mesaj == 1)
                                        <button title="Sms Gönder"  class='show-modal btn btn-success btn-sm sms_sablonu'
                                        data-cari_id1="{{ $servisfisi->cari_id }}"
                                        data-id1="{{ $servisfisi->id }}"
                                        data-toggle="modal" data-target="#sms_sablonu" ><span class='fas fa-sms'></span></button>@endif

                                         @if (Auth::user()->yetki->servis_fisi_mail == 1)
                                         <button title="Email Gönder"  class='show-modal btn btn-danger btn-sm email_sablonu'
                                         data-cari_id2="{{ $servisfisi->cari_id }}"
                                         data-toggle="modal" data-target="#email_sablonu" ><span class='fas fa-mail-bulk'></span></button>
                                         @endif
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>

                            <tbody>
                                <tbody class="labels">
                                    <tr style="height:10px">
                                        <th class="show hidden" style="width: 2%">#</th>
                                        <th class="show hidden" style="width: 50%">Cari Hesap</th>
                                        <th class="show hidden" style="width: 40%">Arıza</th>
                                    </tr>
                                    @foreach ($servisfisleri as $servisfisi)
                                    <tr style="height:10px">
                                        <td class="show hidden" style="background-color: #2cc16a;font-weight: bold;color: #fff;">
                                            <label for={{ $servisfisi->id }}>+</label>
                                            <input type="checkbox" name={{ $servisfisi->id }} id={{ $servisfisi->id }} data-toggle="toggle">
                                        </td >

                                        <td class="show hidden" style="background-color: #2cc16a;font-weight: bold;  color: #fff;"><a title="{{ $servisfisi->cari->isim }}" >{{ \Illuminate\Support\Str::limit($servisfisi->cari->isim, $limit = 10, $end = '...') }}</a></td>
                                        <td class="show hidden" style="background-color: #2cc16a;font-weight: bold;  color: #fff;"><a title="{{ $servisfisi->ariza }}" >{{ \Illuminate\Support\Str::limit($servisfisi->ariza, $limit = 10, $end = '...') }}</a></td>

                                    </tr>
                                    <tbody class="hide" style="display: none;">
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">Ürün</td>
                                            <td  class="show hidden">{{ $servisfisi->urun->isim }}</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">Durum</td>
                                            <td  class="show hidden"><b><label style="color:{{ $servisfisi->durum->renk }}" title="{{  $servisfisi->durum_aciklama  }}">{{ $servisfisi->durum->isim }}</label></b></td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">Garanti</td>
                                            <td  class="show hidden">{{ $servisfisi->garanti }}</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">Bakiye</td>
                                            <td  class="show hidden">{{ $servisfisi->bakiye($servisfisi->id)}}</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">Tarih</td>
                                            <td  class="show hidden">{{ $servisfisi->created_at->format('d/m/Y') }}</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td style="text-align:center" colspan="2" class="show hidden"><div class="btn-group">
                                                <div class="btn-group">
                                                    <button type="button" class="btn btn-secondary btn-sm dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                                      <i class="fas fa-print"></i></button>
                                                    <div class="dropdown-menu float-right" role="menu" x-placement="bottom-start" style="position: absolute; will-change: transform; top: 0px; left: 0px; transform: translate3d(0px, 31px, 0px);">
                                                @if (Auth::user()->yetki->servis_fisi_kabulform == 1)
                                                <a target="_blank" href="{{ route('home.form.kabul',$servisfisi->id) }}" class="dropdown-item">Kabul Formu</a>@endif
                                                @if (Auth::user()->yetki->servis_fisi_teslimform == 1)
                                                <a target="_blank" href="{{ route('home.form.teslim',$servisfisi->id) }}" class="dropdown-item">Teslim Formu</a>@endif
                                                    </div>
                                                  </div>
                                                  @if (Auth::user()->yetki->servis_fisi_tahsilat == 1)
                                                  <button title="Tahsilat Yap"  class='show-modal btn btn-info btn-sm tahsilat'
                                                data-id="{{ $servisfisi->id }}"
                                                data-cari_id="{{ $servisfisi->cari_id }}"
                                                data-toggle="modal" data-target="#tahsilat" ><span class='fa fa-cash-register'></span></button>@endif

                                                @if (Auth::user()->yetki->servis_fisi_duzenle == 1)
                                                <a title="Düzenle" href="{{ route('home.servis_fisi.duzenle',$servisfisi->id) }}" class='show-modal btn btn-primary btn-sm' ><span class='fa fa-edit'></span></a>@endif

                                                @if (Auth::user()->yetki->servis_fisi_mesaj == 1)
                                                <button title="Sms Gönder"  class='show-modal btn btn-success btn-sm sms_sablonu'
                                                data-cari_id1="{{ $servisfisi->cari_id }}"
                                                data-id1="{{ $servisfisi->id }}"
                                                data-toggle="modal" data-target="#sms_sablonu" ><span class='fas fa-sms'></span></button>@endif

                                                @if (Auth::user()->yetki->servis_fisi_mail == 1)
                                                <button title="Email Gönder"  class='show-modal btn btn-danger btn-sm email_sablonu'
                                                data-cari_id2="{{ $servisfisi->cari_id }}"
                                                data-toggle="modal" data-target="#email_sablonu" ><span class='fas fa-mail-bulk'></span></button>
                                                @endif

                                        </td>
                                        </tr>



                                    </tbody>
                                    @endforeach
                                </tbody>

                            </tbody>

                        </table>
                        <?php echo $servisfisleri->render(); ?>
                    </div>
                </div>
            </div>
        </div>




  <!-- /.row -->
</div>
</form>
{{-- Tahsilat Modal --}}
<div id="tahsilat" class="modal fade" role="dialog">
    <form method="POST" action="{{ route('home.servis_fisi.tahsilatyap')}}">
        {{ csrf_field() }}
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

            <div class="form-group row add">
              <label class="control-label col-sm-4" for="title"><b>{{ $veri->servis_fisi_listele_tahsilat_1 }}</b></label>
              <div class="col-sm-6">
                <input type="text" class="form-control" id="iskonto" name="iskonto" value="0" required>
                <input type="text" class="form-control" id="id" name="id" hidden required>
                <input type="text" class="form-control" id="cari_id" name="cari_id" hidden required>
              </div>
              </div>

              <div class="form-group row add">
                <label class="control-label col-sm-4" for="title"><b>{{ $veri->servis_fisi_listele_tahsilat_2 }}</b></label>
                <div class="col-sm-6">
                  <input type="text" class="form-control" id="odeme_tutari" name="odeme_tutari" required>

                </div>
                </div>


        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span>{{ $veri->servis_fisi_listele_tahsilat_3 }}
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>{{ $veri->servis_fisi_listele_tahsilat_4 }}
              </button>
            </div>
      </div>
    </div>
</form>
  </div>
  {{-- Tahsilat Modal --}}

  {{-- Sms Gönder Modal --}}
<div id="sms_sablonu" class="modal fade" role="dialog">
    <form method="POST" action="{{ route('home.sms.gonder')}}">
        {{ csrf_field() }}
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

              <div class="form-group row add">
                <label class="control-label col-sm-4" for="title"><b>{{ $veri->servis_fisi_listele_sms_1 }}</b></label>
                <div class="col-sm-8">
                  <select name="sms_sablon" id="sms_sablon" class="sms_sablon form-control">
                    <option value="">Seçiniz</option>
                      @foreach ($sms_sablonlari as $sablon)
                          <option value={{ $sablon->id }}>{{ $sablon->isim }}</option>
                      @endforeach
                  </select>
                  <input type="text" class="cari_id1 form-control" id="cari_id1" name="cari_id1" hidden  required>
                  <input type="text" class="id1 form-control" id="id1" name="id1" hidden  required>

                </div>
              </div>

              <div class="form-group row add">

                  <div id="sms_mesaj"  class="col-md-12">

                  </div>
              </div>
        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span>{{ $veri->servis_fisi_listele_sms_2 }}
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>{{ $veri->servis_fisi_listele_sms_3 }}
              </button>
            </div>
      </div>
    </div>
</form>
  </div>
  {{-- Sms Gönder Modal --}}

    {{-- Email Gönder Modal --}}
<div id="email_sablonu" class="modal fade" role="dialog">
    <form method="POST" action="{{ route('home.email.gonder')}}">
        {{ csrf_field() }}
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

              <div class="form-group row add">
                <label class="control-label col-sm-4" for="title"><b>{{ $veri->servis_fisi_listele_email_1 }}</b></label>
                <div class="col-sm-8">
                  <select name="emal_sablon" id="email_sablon" class="email_sablon form-control">
                    <option value="">Seçiniz</option>
                      @foreach ($email_sablonlari as $sablon)
                          <option value={{ $sablon->id }}>{{ $sablon->isim }}</option>
                      @endforeach
                  </select>
                  <input type="text" class="cari_id1 form-control" id="cari_id2" name="cari_id2" hidden  required>

                </div>
              </div>

              <div class="form-group row add">

                  <div id="email_mesaj"  class="col-md-12">

                  </div>
              </div>
        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span>{{ $veri->servis_fisi_listele_email_2 }}
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>{{ $veri->servis_fisi_listele_email_3 }}
              </button>
            </div>
      </div>
    </div>
</form>
  </div>
  {{-- Email Gönder Modal --}}

</div>
@endsection

@section('css')
  <!-- DataTables -->
  <link rel="stylesheet" href="/yonetim/plugins/datatables-bs4/css/dataTables.bootstrap4.css">
  <link rel="stylesheet" href="/yonetim/style.css">
  <link rel="stylesheet" href="/yonetim/tablo_style.css">
@endsection

@section('js')
<!-- DataTables -->
<script src="/yonetim/plugins/datatables/jquery.dataTables.js"></script>
<script src="/yonetim/plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>

<script type="text/javascript">
    $(document).ready(function () {
        $(".tahsilat").click(function () {
            $('#id').val($(this).data('id'));
            $('#cari_id').val($(this).data('cari_id'));
            $('#bakiye').val($(this).data('bakiye'));
        });

    });
</script>

<script type="text/javascript">
    $(document).ready(function () {
        $(".sms_sablonu").click(function () {
            $('#cari_id1').val($(this).data('cari_id1'));
            $('#id1').val($(this).data('id1'));
        });

    });
</script>

<script type="text/javascript">
    $(document).ready(function () {
        $(".email_sablonu").click(function () {
            $('#cari_id2').val($(this).data('cari_id2'));
        });

    });
</script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js" async defer crossorigin="anonymous"></script>
        <script >
            $(document).ready(function() {
            $('[data-toggle="toggle"]').change(function(){
                $(this).parents().next('.hide').toggle();
            });
        });
        </script>

<script>
    $(function () {

      $('#example').DataTable({
        "paging": false,
        "lengthChange": true,
        "searching": true,
        "ordering": false,
        "info": true,
        "autoWidth": false,
        "language":{
                        "sDecimal":        ",",
                        "sEmptyTable":     "Tabloda herhangi bir veri mevcut değil",
                        "sInfo":           "_TOTAL_ kayıttan _START_ - _END_ arasındaki kayıtlar gösteriliyor",
                        "sInfoEmpty":      "Kayıt yok",
                        "sInfoFiltered":   "(_MAX_ kayıt içerisinden bulunan)",
                        "sInfoPostFix":    "",
                        "sInfoThousands":  ".",
                        "sLengthMenu":     "Sayfada _MENU_ kayıt göster",
                        "sLoadingRecords": "Yükleniyor...",
                        "sProcessing":     "İşleniyor...",
                        "sSearch":         "Ara:",
                        "sZeroRecords":    "Eşleşen kayıt bulunamadı",
                        "oPaginate": {
                            "sFirst":    "İlk",
                            "sLast":     "Son",
                            "sNext":     "Sonraki",
                            "sPrevious": "Önceki"
                        },
                        "oAria": {
                            "sSortAscending":  ": artan sütun sıralamasını aktifleştir",
                            "sSortDescending": ": azalan sütun sıralamasını aktifleştir"
                        },
                        "select": {
                            "rows": {
                                "_": "%d kayıt seçildi",
                                "0": "",
                                "1": "1 kayıt seçildi"
                            }
                        }
                    }

      });
    });
  </script>

<!-- sms sablon Getir Script -->
<script type="text/javascript">
    $(document).on('change','.sms_sablon',function () {
    var sms_sablon_id=$(this).val();

    var a=$(this).parent();
    console.log(sms_sablon_id);
    var op="";
    $.ajax({
        type:'get',
        url:'{!!URL::to('sms_sablon_getir')!!}',
        data:{'id':sms_sablon_id},
        dataType:'json',
        success:function(data){
            console.log(data.mesaj);
            $("#sms_mesaj").html("<div class=''><textarea  name='sms_mesaj' class='sms_mesaj form-control'  >"+data.mesaj+"</textarea></div>");
        },
        error:function(){

        }
    });
});
</script>
<!-- sms sablon Getir Script -->

<!-- email sablon Getir Script -->
<script type="text/javascript">
    $(document).on('change','.email_sablon',function () {
    var email_sablon_id=$(this).val();

    var a=$(this).parent();
    console.log(email_sablon_id);
    var op="";
    $.ajax({
        type:'get',
        url:'{!!URL::to('email_sablon_getir')!!}',
        data:{'id':email_sablon_id},
        dataType:'json',
        success:function(data){
            console.log(data.mesaj);
            $("#email_mesaj").html("<div class=''><textarea  name='email_mesaj' class='email_mesaj form-control'  >"+data.mesaj+"</textarea></div>");

          //$("#sms_mesaj").html("<div class=''><input type='text' name='sms_mesaj' class='sms_mesaj form-control' value="+data.mesaj+" ></div>");

            // a.find('.fiyat').val(data.satis_fiyati);

        },
        error:function(){

        }
    });
});
</script>
<!-- email sablon Getir Script -->
@endsection
