<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Firma;
use App\Sms;
use App\User;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Hash;
use Brian2694\Toastr\Facades\Toastr;

use File;
use Illuminate\Support\Facades\Storage;


class AyarlarController extends Controller
{
    public function firma()
    {
        $firma = Firma::find(1);
        return view('admin/ayarlar/firma', compact('firma'));
    }

    public function firmaguncelle()
    {
        $duzenlenecekfirma = Firma::find(1);

        $duzenlenecekfirma->isim = request('isim');
        $duzenlenecekfirma->telefon = request('telefon');
        $duzenlenecekfirma->fax = request('fax');
        $duzenlenecekfirma->adres = request('adres');
        $duzenlenecekfirma->hakkinda = request('hakkinda');
        $duzenlenecekfirma->servis_sartlari = (request('servis_sartlari'));


        $duzenlenecekfirma->save();

        return redirect('home/ayarlar/firma');
    }

    public function sms()
    {
        $sms = Sms::find(1);
        $balanceInfo="";
        return view('admin/ayarlar/sms', compact('sms','balanceInfo'));
    }

    public function smsguncelle()
    {
        $duzenleneceksms = Sms::find(1);

        $duzenleneceksms->gsm = request('gsm');
        $duzenleneceksms->sifre = request('sifre');
        $duzenleneceksms->baslik = request('baslik');


        $duzenleneceksms->save();

        return redirect('home/ayarlar/sms');
    }

    public function sifredegistir(Request $request)
    {



        $user = User::find(auth()->user()->id);

        $user->password = Hash::make(request('password'));

        $user->save();

        if ($user) {
            Toastr::success('Şifre değiştirildi', 'Onay', ["positionClass" => "toast-top-right"]);
            return back();
        } else {
            Toastr::danger('Şifre değiştirilemedi', 'Hata', ["positionClass" => "toast-top-right"]);
            return back();
        }
    }

    public function logo(Request $request)
    {
        $firma=Firma::find(1);
if($request->hasFile('logo')){
    $logoName=Str::slug('logo').'.'.$request->logo->getClientOriginalExtension();
    $request->logo->move(public_path('uploads'),$logoName);
$firma->logo='/uploads/'.$logoName;
$firma->save();
return redirect('home');
}


    }

    public function translate()
    {
        $firma = Firma::find(1);
        return view('admin/ayarlar/translate', compact('firma'));
    }

    public function translate_guncelle()
    {


       $menu_1 = request('menu_1');
       $menu_2 = request('menu_2');
       $menu_2_1 = request('menu_2_1');
       $menu_2_2 = request('menu_2_2');
       $menu_3 = request('menu_3');
       $menu_3_1 = request('menu_3_1');
       $menu_4 = request('menu_4');
       $menu_4_1 = request('menu_4_1');
       $menu_4_2 = request('menu_4_2');
       $menu_5 = request('menu_5');
       $menu_5_1 = request('menu_5_1');
       $menu_5_2 = request('menu_5_2');
       $menu_6 = request('menu_6');
       $menu_6_1 = request('menu_6_1');
       $menu_7 = request('menu_7');
       $menu_7_1 = request('menu_7_1');
       $menu_7_1_1 = request('menu_7_1_1');
       $menu_7_1_2 = request('menu_7_1_2');
       $menu_7_2 = request('menu_7_2');
       $menu_7_3 = request('menu_7_3');
       $menu_7_4 = request('menu_7_4');
       $menu_7_5 = request('menu_7_5');
       $menu_7_6 = request('menu_7_6');
       $menu_8 = request('menu_8');
       $menu_8_1 = request('menu_8_1');
       $menu_8_2 = request('menu_8_2');
       $menu_9 = request('menu_9');
       $menu_9_1 = request('menu_9_1');
       $menu_10 = request('menu_10');
       $menu_10_1 = request('menu_10_1');
       $menu_11 = request('menu_11');
       $menu_11_1 = request('menu_11_1');
       $menu_11_2 = request('menu_11_2');
       $menu_11_3 = request('menu_11_3');
       $menu_12 = request('menu_12');

       $servis_fisi_listele_1 = request('servis_fisi_listele_1');
       $servis_fisi_listele_2 = request('servis_fisi_listele_2');
       $servis_fisi_listele_3 = request('servis_fisi_listele_3');
       $servis_fisi_listele_4 = request('servis_fisi_listele_4');
       $servis_fisi_listele_5 = request('servis_fisi_listele_5');
       $servis_fisi_listele_6 = request('servis_fisi_listele_6');
       $servis_fisi_listele_7 = request('servis_fisi_listele_7');
       $servis_fisi_listele_8 = request('servis_fisi_listele_8');
       $servis_fisi_listele_tahsilat_1 = request('servis_fisi_listele_tahsilat_1');
       $servis_fisi_listele_tahsilat_2 = request('servis_fisi_listele_tahsilat_2');
       $servis_fisi_listele_tahsilat_3 = request('servis_fisi_listele_tahsilat_3');
       $servis_fisi_listele_tahsilat_4 = request('servis_fisi_listele_tahsilat_4');
       $servis_fisi_listele_sms_1 = request('servis_fisi_listele_sms_1');
       $servis_fisi_listele_sms_2 = request('servis_fisi_listele_sms_2');
       $servis_fisi_listele_sms_3 = request('servis_fisi_listele_sms_3');
       $servis_fisi_listele_email_1 = request('servis_fisi_listele_email_1');
       $servis_fisi_listele_email_2 = request('servis_fisi_listele_email_2');
       $servis_fisi_listele_email_3 = request('servis_fisi_listele_email_3');

       $servis_fisi_ekle_1 = request('servis_fisi_ekle_1');
       $servis_fisi_ekle_2 = request('servis_fisi_ekle_2');
       $servis_fisi_ekle_3 = request('servis_fisi_ekle_3');
       $servis_fisi_ekle_4 = request('servis_fisi_ekle_4');
       $servis_fisi_ekle_5 = request('servis_fisi_ekle_5');
       $servis_fisi_ekle_6 = request('servis_fisi_ekle_6');
       $servis_fisi_ekle_7 = request('servis_fisi_ekle_7');
       $servis_fisi_ekle_8 = request('servis_fisi_ekle_8');
       $servis_fisi_ekle_9 = request('servis_fisi_ekle_9');
       $servis_fisi_ekle_10 = request('servis_fisi_ekle_10');
       $servis_fisi_ekle_cari_1 = request('servis_fisi_ekle_cari_1');
       $servis_fisi_ekle_cari_2 = request('servis_fisi_ekle_cari_2');
       $servis_fisi_ekle_cari_3 = request('servis_fisi_ekle_cari_3');
       $servis_fisi_ekle_cari_4 = request('servis_fisi_ekle_cari_4');
       $servis_fisi_ekle_cari_5 = request('servis_fisi_ekle_cari_5');
       $servis_fisi_ekle_cari_6 = request('servis_fisi_ekle_cari_6');
       $servis_fisi_ekle_cari_7 = request('servis_fisi_ekle_cari_7');
       $servis_fisi_ekle_cari_8 = request('servis_fisi_ekle_cari_8');
       $servis_fisi_ekle_urun_1 = request('servis_fisi_ekle_urun_1');
       $servis_fisi_ekle_urun_2 = request('servis_fisi_ekle_urun_2');
       $servis_fisi_ekle_urun_3 = request('servis_fisi_ekle_urun_3');
       $servis_fisi_ekle_marka_1 = request('servis_fisi_ekle_marka_1');
       $servis_fisi_ekle_marka_2 = request('servis_fisi_ekle_marka_2');
       $servis_fisi_ekle_marka_3 = request('servis_fisi_ekle_marka_3');

       $servis_fisi_duzenle_1 = request('servis_fisi_duzenle_1');
       $servis_fisi_duzenle_2 = request('servis_fisi_duzenle_2');
       $servis_fisi_duzenle_3 = request('servis_fisi_duzenle_3');
       $servis_fisi_duzenle_4 = request('servis_fisi_duzenle_4');
       $servis_fisi_duzenle_5 = request('servis_fisi_duzenle_5');
       $servis_fisi_duzenle_6 = request('servis_fisi_duzenle_6');
       $servis_fisi_duzenle_7 = request('servis_fisi_duzenle_7');
       $servis_fisi_duzenle_8 = request('servis_fisi_duzenle_8');
       $servis_fisi_duzenle_9 = request('servis_fisi_duzenle_9');
       $servis_fisi_duzenle_10 = request('servis_fisi_duzenle_10');
       $servis_fisi_duzenle_11= request('servis_fisi_duzenle_11');
       $servis_fisi_duzenle_12 = request('servis_fisi_duzenle_12');
       $servis_fisi_duzenle_13 = request('servis_fisi_duzenle_13');
       $servis_fisi_duzenle_14 = request('servis_fisi_duzenle_14');
       $servis_fisi_duzenle_15 = request('servis_fisi_duzenle_15');
       $servis_fisi_duzenle_16 = request('servis_fisi_duzenle_16');
       $servis_fisi_duzenle_17 = request('servis_fisi_duzenle_17');
       $servis_fisi_duzenle_18 = request('servis_fisi_duzenle_18');
       $servis_fisi_duzenle_19 = request('servis_fisi_duzenle_19');
       $servis_fisi_duzenle_20 = request('servis_fisi_duzenle_20');
       $servis_fisi_duzenle_21 = request('servis_fisi_duzenle_21');
       $servis_fisi_duzenle_22 = request('servis_fisi_duzenle_22');
       $servis_fisi_duzenle_cari_1 = request('servis_fisi_duzenle_cari_1');
       $servis_fisi_duzenle_cari_2 = request('servis_fisi_duzenle_cari_2');
       $servis_fisi_duzenle_cari_3 = request('servis_fisi_duzenle_cari_3');
       $servis_fisi_duzenle_cari_4 = request('servis_fisi_duzenle_cari_4');
       $servis_fisi_duzenle_cari_5 = request('servis_fisi_duzenle_cari_5');
       $servis_fisi_duzenle_cari_6 = request('servis_fisi_duzenle_cari_6');
       $servis_fisi_duzenle_cari_7 = request('servis_fisi_duzenle_cari_7');
       $servis_fisi_duzenle_cari_8 = request('servis_fisi_duzenle_cari_8');
       $servis_fisi_duzenle_urun_1 = request('servis_fisi_duzenle_urun_1');
       $servis_fisi_duzenle_urun_2 = request('servis_fisi_duzenle_urun_2');
       $servis_fisi_duzenle_urun_3 = request('servis_fisi_duzenle_urun_3');
       $servis_fisi_duzenle_marka_1 = request('servis_fisi_duzenle_marka_1');
       $servis_fisi_duzenle_marka_2 = request('servis_fisi_duzenle_marka_2');
       $servis_fisi_duzenle_marka_3 = request('servis_fisi_duzenle_marka_3');

       $cari_listele_1 = request('cari_listele_1');
       $cari_listele_2 = request('cari_listele_2');
       $cari_listele_3 = request('cari_listele_3');
       $cari_listele_4 = request('cari_listele_4');
       $cari_listele_5 = request('cari_listele_5');
       $cari_listele_6 = request('cari_listele_6');
       $cari_listele_7 = request('cari_listele_7');
       $cari_listele_modal_1 = request('cari_listele_modal_1');
       $cari_listele_modal_2 = request('cari_listele_modal_2');
       $cari_listele_modal_3 = request('cari_listele_modal_3');
       $cari_listele_modal_4 = request('cari_listele_modal_4');
       $cari_listele_modal_5 = request('cari_listele_modal_5');
       $cari_listele_modal_6 = request('cari_listele_modal_6');
       $cari_listele_modal_7 = request('cari_listele_modal_7');
       $cari_listele_modal_8 = request('cari_listele_modal_8');

       $yedek_parca_ekle_1 = request('yedek_parca_ekle_1');
       $yedek_parca_ekle_2 = request('yedek_parca_ekle_2');
       $yedek_parca_ekle_3 = request('yedek_parca_ekle_3');
       $yedek_parca_ekle_4 = request('yedek_parca_ekle_4');

       $yedek_parca_duzenle_1 = request('yedek_parca_duzenle_1');
       $yedek_parca_duzenle_2 = request('yedek_parca_duzenle_2');
       $yedek_parca_duzenle_3 = request('yedek_parca_duzenle_3');
       $yedek_parca_duzenle_4 = request('yedek_parca_duzenle_4');

       $yedek_parca_listele_1 = request('yedek_parca_listele_1');
       $yedek_parca_listele_2 = request('yedek_parca_listele_2');
       $yedek_parca_listele_3 = request('yedek_parca_listele_3');
       $yedek_parca_listele_4 = request('yedek_parca_listele_4');
       $yedek_parca_listele_5 = request('yedek_parca_listele_5');
       $yedek_parca_listele_6 = request('yedek_parca_listele_6');
       $yedek_parca_listele_7 = request('yedek_parca_listele_7');

       $hizmet_ekle_1 = request('hizmet_ekle_1');
       $hizmet_ekle_2 = request('hizmet_ekle_2');

       $hizmet_duzenle_1 = request('hizmet_duzenle_1');
       $hizmet_duzenle_2 = request('hizmet_duzenle_2');

       $hizmet_listele_1 = request('hizmet_listele_1');
       $hizmet_listele_2 = request('hizmet_listele_2');
       $hizmet_listele_3 = request('hizmet_listele_3');
       $hizmet_listele_4 = request('hizmet_listele_4');
       $hizmet_listele_5 = request('hizmet_listele_5');

       $tahsilatlar_1 = request('tahsilatlar_1');
       $tahsilatlar_2 = request('tahsilatlar_2');
       $tahsilatlar_3 = request('tahsilatlar_3');
       $tahsilatlar_4 = request('tahsilatlar_4');
       $tahsilatlar_5 = request('tahsilatlar_5');
       $tahsilatlar_6 = request('tahsilatlar_6');

       $tanimlamalar_yetki_gruplari_listele_1 = request('tanimlamalar_yetki_gruplari_listele_1');
       $tanimlamalar_yetki_gruplari_listele_2 = request('tanimlamalar_yetki_gruplari_listele_2');
       $tanimlamalar_yetki_gruplari_listele_3 = request('tanimlamalar_yetki_gruplari_listele_3');

       $tanimlamalar_yetki_1 = request('tanimlamalar_yetki_1');
       $tanimlamalar_yetki_1_1 = request('tanimlamalar_yetki_1_1');
       $tanimlamalar_yetki_1_2 = request('tanimlamalar_yetki_1_2');
       $tanimlamalar_yetki_1_3 = request('tanimlamalar_yetki_1_3');
       $tanimlamalar_yetki_1_4 = request('tanimlamalar_yetki_1_4');
       $tanimlamalar_yetki_1_5 = request('tanimlamalar_yetki_1_5');
       $tanimlamalar_yetki_1_6 = request('tanimlamalar_yetki_1_6');
       $tanimlamalar_yetki_1_7 = request('tanimlamalar_yetki_1_7');
       $tanimlamalar_yetki_1_8 = request('tanimlamalar_yetki_1_8');
       $tanimlamalar_yetki_1_9 = request('tanimlamalar_yetki_1_9');
       $tanimlamalar_yetki_1_10 = request('tanimlamalar_yetki_1_10');
       $tanimlamalar_yetki_1_11 = request('tanimlamalar_yetki_1_11');
       $tanimlamalar_yetki_1_12 = request('tanimlamalar_yetki_1_12');
       $tanimlamalar_yetki_1_13 = request('tanimlamalar_yetki_1_13');
       $tanimlamalar_yetki_2 = request('tanimlamalar_yetki_2');
       $tanimlamalar_yetki_2_1 = request('tanimlamalar_yetki_2_1');
       $tanimlamalar_yetki_2_2 = request('tanimlamalar_yetki_2_2');
       $tanimlamalar_yetki_2_3 = request('tanimlamalar_yetki_2_3');
       $tanimlamalar_yetki_2_4 = request('tanimlamalar_yetki_2_4');
       $tanimlamalar_yetki_3 = request('tanimlamalar_yetki_3');
       $tanimlamalar_yetki_3_1 = request('tanimlamalar_yetki_3_1');
       $tanimlamalar_yetki_3_2 = request('tanimlamalar_yetki_3_2');
       $tanimlamalar_yetki_3_3 = request('tanimlamalar_yetki_3_3');
       $tanimlamalar_yetki_3_4 = request('tanimlamalar_yetki_3_4');
       $tanimlamalar_yetki_3_5 = request('tanimlamalar_yetki_3_5');
       $tanimlamalar_yetki_3_6 = request('tanimlamalar_yetki_3_6');
       $tanimlamalar_yetki_3_7 = request('tanimlamalar_yetki_3_7');
       $tanimlamalar_yetki_3_8 = request('tanimlamalar_yetki_3_8');
       $tanimlamalar_yetki_3_9 = request('tanimlamalar_yetki_3_9');
       $tanimlamalar_yetki_3_10 = request('tanimlamalar_yetki_3_10');
       $tanimlamalar_yetki_3_11 = request('tanimlamalar_yetki_3_11');
       $tanimlamalar_yetki_3_12 = request('tanimlamalar_yetki_3_12');
       $tanimlamalar_yetki_3_13 = request('tanimlamalar_yetki_3_13');
       $tanimlamalar_yetki_3_14 = request('tanimlamalar_yetki_3_14');
       $tanimlamalar_yetki_3_15 = request('tanimlamalar_yetki_3_15');
       $tanimlamalar_yetki_3_16 = request('tanimlamalar_yetki_3_16');
       $tanimlamalar_yetki_3_17 = request('tanimlamalar_yetki_3_17');
       $tanimlamalar_yetki_3_18 = request('tanimlamalar_yetki_3_18');
       $tanimlamalar_yetki_4 = request('tanimlamalar_yetki_4');
       $tanimlamalar_yetki_4_1 = request('tanimlamalar_yetki_4_1');
       $tanimlamalar_yetki_4_2 = request('tanimlamalar_yetki_4_2');
       $tanimlamalar_yetki_4_3 = request('tanimlamalar_yetki_4_3');
       $tanimlamalar_yetki_5 = request('tanimlamalar_yetki_5');
       $tanimlamalar_yetki_5_1 = request('tanimlamalar_yetki_5_1');
       $tanimlamalar_yetki_5_2 = request('tanimlamalar_yetki_5_2');
       $tanimlamalar_yetki_5_3 = request('tanimlamalar_yetki_5_3');
       $tanimlamalar_yetki_6 = request('tanimlamalar_yetki_6');
       $tanimlamalar_yetki_6_1 = request('tanimlamalar_yetki_6_1');
       $tanimlamalar_yetki_7 = request('tanimlamalar_yetki_7');
       $tanimlamalar_yetki_7_1 = request('tanimlamalar_yetki_7_1');
       $tanimlamalar_yetki_7_2 = request('tanimlamalar_yetki_7_2');
       $tanimlamalar_yetki_7_3 = request('tanimlamalar_yetki_7_3');
       $tanimlamalar_yetki_8 = request('tanimlamalar_yetki_8');
       $tanimlamalar_yetki_8_1 = request('tanimlamalar_yetki_8_1');
       $tanimlamalar_yetki_8_2 = request('tanimlamalar_yetki_8_2');
       $tanimlamalar_yetki_8_3 = request('tanimlamalar_yetki_8_3');
       $tanimlamalar_yetki_8_4 = request('tanimlamalar_yetki_8_4');
       $tanimlamalar_yetki_9 = request('tanimlamalar_yetki_9');
       $tanimlamalar_yetki_9_1 = request('tanimlamalar_yetki_9_1');
       $tanimlamalar_yetki_9_2 = request('tanimlamalar_yetki_9_2');
       $tanimlamalar_yetki_10 = request('tanimlamalar_yetki_10');
       $tanimlamalar_yetki_10_1 = request('tanimlamalar_yetki_10_1');
       $tanimlamalar_yetki_11 = request('tanimlamalar_yetki_11');
       $tanimlamalar_yetki_11_1 = request('tanimlamalar_yetki_11_1');
       $tanimlamalar_yetki_12 = request('tanimlamalar_yetki_12');






       $tanimlamalar_durumlar_1 = request('tanimlamalar_durumlar_1');
       $tanimlamalar_durumlar_2 = request('tanimlamalar_durumlar_2');
       $tanimlamalar_durumlar_3 = request('tanimlamalar_durumlar_3');
       $tanimlamalar_durumlar_4 = request('tanimlamalar_durumlar_4');
       $tanimlamalar_durumlar_modal_1 = request('tanimlamalar_durumlar_modal_1');
       $tanimlamalar_durumlar_modal_2 = request('tanimlamalar_durumlar_modal_2');
       $tanimlamalar_durumlar_modal_3 = request('tanimlamalar_durumlar_modal_3');
       $tanimlamalar_durumlar_modal_4 = request('tanimlamalar_durumlar_modal_4');

       $tanimlamalar_urunler_1 = request('tanimlamalar_urunler_1');
       $tanimlamalar_urunler_2 = request('tanimlamalar_urunler_2');
       $tanimlamalar_urunler_3 = request('tanimlamalar_urunler_3');
       $tanimlamalar_urunler_4 = request('tanimlamalar_urunler_4');
       $tanimlamalar_urunler_modal_1 = request('tanimlamalar_urunler_modal_1');
       $tanimlamalar_urunler_modal_2 = request('tanimlamalar_urunler_modal_2');
       $tanimlamalar_urunler_modal_3 = request('tanimlamalar_urunler_modal_3');

       $tanimlamalar_markalar_1 = request('tanimlamalar_markalar_1');
       $tanimlamalar_markalar_2 = request('tanimlamalar_markalar_2');
       $tanimlamalar_markalar_3 = request('tanimlamalar_markalar_3');
       $tanimlamalar_markalar_4 = request('tanimlamalar_markalar_4');
       $tanimlamalar_markalar_modal_1 = request('tanimlamalar_markalar_modal_1');
       $tanimlamalar_markalar_modal_2 = request('tanimlamalar_markalar_modal_2');
       $tanimlamalar_markalar_modal_3 = request('tanimlamalar_markalar_modal_3');

       $tanimlamalar_sms_sablon_1 = request('tanimlamalar_sms_sablon_1');
       $tanimlamalar_sms_sablon_2 = request('tanimlamalar_sms_sablon_2');
       $tanimlamalar_sms_sablon_3 = request('tanimlamalar_sms_sablon_3');
       $tanimlamalar_sms_sablon_4 = request('tanimlamalar_sms_sablon_4');
       $tanimlamalar_sms_sablon_modal_1 = request('tanimlamalar_sms_sablon_modal_1');
       $tanimlamalar_sms_sablon_modal_2 = request('tanimlamalar_sms_sablon_modal_2');
       $tanimlamalar_sms_sablon_modal_3 = request('tanimlamalar_sms_sablon_modal_3');
       $tanimlamalar_sms_sablon_modal_4 = request('tanimlamalar_sms_sablon_modal_4');

       $tanimlamalar_email_sablon_1 = request('tanimlamalar_email_sablon_1');
       $tanimlamalar_email_sablon_2 = request('tanimlamalar_email_sablon_2');
       $tanimlamalar_email_sablon_3 = request('tanimlamalar_email_sablon_3');
       $tanimlamalar_email_sablon_4 = request('tanimlamalar_email_sablon_4');
       $tanimlamalar_email_sablon_modal_1 = request('tanimlamalar_email_sablon_modal_1');
       $tanimlamalar_email_sablon_modal_2 = request('tanimlamalar_email_sablon_modal_2');
       $tanimlamalar_email_sablon_modal_3 = request('tanimlamalar_email_sablon_modal_3');
       $tanimlamalar_email_sablon_modal_4 = request('tanimlamalar_email_sablon_modal_4');

       $personel_ekle_1 = request('personel_ekle_1');
       $personel_ekle_2 = request('personel_ekle_2');
       $personel_ekle_3 = request('personel_ekle_3');
       $personel_ekle_4 = request('personel_ekle_4');
       $personel_ekle_5 = request('personel_ekle_5');
       $personel_ekle_6 = request('personel_ekle_6');

       $personel_listele_1 = request('personel_listele_1');
       $personel_listele_2 = request('personel_listele_2');
       $personel_listele_3 = request('personel_listele_3');
       $personel_listele_4 = request('personel_listele_4');
       $personel_listele_5 = request('personel_listele_5');
       $personel_listele_6 = request('personel_listele_6');

       $hatirlatma_1 = request('hatirlatma_1');
       $hatirlatma_2 = request('hatirlatma_2');
       $hatirlatma_3 = request('hatirlatma_3');
       $hatirlatma_4 = request('hatirlatma_4');
       $hatirlatma_5 = request('hatirlatma_5');
       $hatirlatma_6 = request('hatirlatma_6');
       $hatirlatma_modal_1 = request('hatirlatma_modal_1');
       $hatirlatma_modal_2 = request('hatirlatma_modal_2');
       $hatirlatma_modal_3 = request('hatirlatma_modal_3');
       $hatirlatma_modal_4 = request('hatirlatma_modal_4');
       $hatirlatma_modal_5 = request('hatirlatma_modal_5');

       $ayarlar_firma_1 = request('ayarlar_firma_1');
       $ayarlar_firma_2 = request('ayarlar_firma_2');
       $ayarlar_firma_3 = request('ayarlar_firma_3');
       $ayarlar_firma_firma_1 = request('ayarlar_firma_firma_1');
       $ayarlar_firma_firma_2 = request('ayarlar_firma_firma_2');
       $ayarlar_firma_firma_3 = request('ayarlar_firma_firma_3');
       $ayarlar_firma_firma_4 = request('ayarlar_firma_firma_4');
       $ayarlar_firma_firma_5 = request('ayarlar_firma_firma_5');
       $ayarlar_firma_firma_6 = request('ayarlar_firma_firma_6');
       $ayarlar_firma_firma_7 = request('ayarlar_firma_firma_7');
       $ayarlar_firma_firma_8 = request('ayarlar_firma_firma_8');
       $ayarlar_firma_sifre_1 = request('ayarlar_firma_sifre_1');
       $ayarlar_firma_sifre_2 = request('ayarlar_firma_sifre_2');
       $ayarlar_firma_sifre_3 = request('ayarlar_firma_sifre_3');
       $ayarlar_firma_sifre_4 = request('ayarlar_firma_sifre_4');
       $ayarlar_firma_logo_1 = request('ayarlar_firma_logo_1');
       $ayarlar_firma_logo_2 = request('ayarlar_firma_logo_2');

       $ayarlar_sms_1 = request('ayarlar_sms_1');
       $ayarlar_sms_2 = request('ayarlar_sms_2');
       $ayarlar_sms_3 = request('ayarlar_sms_3');
       $ayarlar_sms_4 = request('ayarlar_sms_4');
       $ayarlar_sms_5 = request('ayarlar_sms_5');
       $ayarlar_sms_6 = request('ayarlar_sms_6');

       $translate_1 = request('translate_1');
       $translate_2 = request('translate_2');
       $translate_2_1 = request('translate_2_1');
       $translate_2_2 = request('translate_2_2');
       $translate_2_3 = request('translate_2_3');
       $translate_3 = request('translate_3');
       $translate_3_1 = request('translate_3_1');
       $translate_3_2 = request('translate_3_2');
       $translate_3_3 = request('translate_3_3');
       $translate_4 = request('translate_4');
       $translate_4_1 = request('translate_4_1');
       $translate_4_2 = request('translate_4_2');
       $translate_4_3 = request('translate_4_3');
       $translate_5 = request('translate_5');
       $translate_5_1 = request('translate_5_1');
       $translate_6 = request('translate_6');
       $translate_7 = request('translate_7');
       $translate_8 = request('translate_8');
       $translate_9 = request('translate_9');
       $translate_10 = request('translate_10');
       $translate_11 = request('translate_11');
       $translate_12 = request('translate_12');
       $translate_13 = request('translate_13');
       $translate_14 = request('translate_14');
       $translate_14_1 = request('translate_14_1');
       $translate_15 = request('translate_15');
       $translate_15_1 = request('translate_15_1');
       $translate_16 = request('translate_16');
       $translate_16_1 = request('translate_16_1');
       $translate_17 = request('translate_17');
       $translate_17_1 = request('translate_17_1');
       $translate_18 = request('translate_18');
       $translate_18_1 = request('translate_18_1');
       $translate_19 = request('translate_19');
       $translate_20 = request('translate_20');
       $translate_21 = request('translate_21');
       $translate_21_1 = request('translate_21_1');
       $translate_22 = request('translate_22');
       $translate_23 = request('translate_23');
       $translate_24 = request('translate_24');
       $translate_25 = request('translate_25');
       $translate_26 = request('translate_26');


















       $text =
       '{
           "menu_1":"'.$menu_1.'",
           "menu_2":"'.$menu_2.'",
           "menu_2_1":"'.$menu_2_1.'",
           "menu_2_2":"'.$menu_2_2.'",
           "menu_3":"'.$menu_3.'",
           "menu_3_1":"'.$menu_3_1.'",
           "menu_4":"'.$menu_4.'",
           "menu_4_1":"'.$menu_4_1.'",
           "menu_4_2":"'.$menu_4_2.'",
           "menu_5":"'.$menu_5.'",
           "menu_5_1":"'.$menu_5_1.'",
           "menu_5_2":"'.$menu_5_2.'",
           "menu_6":"'.$menu_6.'",
           "menu_6_1":"'.$menu_6_1.'",
           "menu_7":"'.$menu_7.'",
           "menu_7_1":"'.$menu_7_1.'",
           "menu_7_1_1":"'.$menu_7_1_1.'",
           "menu_7_1_2":"'.$menu_7_1_2.'",
           "menu_7_2":"'.$menu_7_2.'",
           "menu_7_3":"'.$menu_7_3.'",
           "menu_7_4":"'.$menu_7_4.'",
           "menu_7_5":"'.$menu_7_5.'",
           "menu_7_6":"'.$menu_7_6.'",
           "menu_8":"'.$menu_8.'",
           "menu_8_1":"'.$menu_8_1.'",
           "menu_8_2":"'.$menu_8_2.'",
           "menu_9":"'.$menu_9.'",
           "menu_9_1":"'.$menu_9_1.'",
           "menu_10":"'.$menu_10.'",
           "menu_10_1":"'.$menu_10_1.'",
           "menu_11":"'.$menu_11.'",
           "menu_11_1":"'.$menu_11_1.'",
           "menu_11_2":"'.$menu_11_2.'",
           "menu_11_3":"'.$menu_11_3.'",
           "menu_12":"'.$menu_12.'",

           "servis_fisi_listele_1":"'.$servis_fisi_listele_1.'",
           "servis_fisi_listele_2":"'.$servis_fisi_listele_2.'",
           "servis_fisi_listele_3":"'.$servis_fisi_listele_3.'",
           "servis_fisi_listele_4":"'.$servis_fisi_listele_4.'",
           "servis_fisi_listele_5":"'.$servis_fisi_listele_5.'",
           "servis_fisi_listele_6":"'.$servis_fisi_listele_6.'",
           "servis_fisi_listele_7":"'.$servis_fisi_listele_7.'",
           "servis_fisi_listele_8":"'.$servis_fisi_listele_8.'",
           "servis_fisi_listele_tahsilat_1":"'.$servis_fisi_listele_tahsilat_1.'",
           "servis_fisi_listele_tahsilat_2":"'.$servis_fisi_listele_tahsilat_2.'",
           "servis_fisi_listele_tahsilat_3":"'.$servis_fisi_listele_tahsilat_3.'",
           "servis_fisi_listele_tahsilat_4":"'.$servis_fisi_listele_tahsilat_4.'",
           "servis_fisi_listele_sms_1":"'.$servis_fisi_listele_sms_1.'",
           "servis_fisi_listele_sms_2":"'.$servis_fisi_listele_sms_2.'",
           "servis_fisi_listele_sms_3":"'.$servis_fisi_listele_sms_3.'",
           "servis_fisi_listele_email_1":"'.$servis_fisi_listele_email_1.'",
           "servis_fisi_listele_email_2":"'.$servis_fisi_listele_email_2.'",
           "servis_fisi_listele_email_3":"'.$servis_fisi_listele_email_3.'",

           "servis_fisi_ekle_1":"'.$servis_fisi_ekle_1.'",
           "servis_fisi_ekle_2":"'.$servis_fisi_ekle_2.'",
           "servis_fisi_ekle_3":"'.$servis_fisi_ekle_3.'",
           "servis_fisi_ekle_4":"'.$servis_fisi_ekle_4.'",
           "servis_fisi_ekle_5":"'.$servis_fisi_ekle_5.'",
           "servis_fisi_ekle_6":"'.$servis_fisi_ekle_6.'",
           "servis_fisi_ekle_7":"'.$servis_fisi_ekle_7.'",
           "servis_fisi_ekle_8":"'.$servis_fisi_ekle_8.'",
           "servis_fisi_ekle_9":"'.$servis_fisi_ekle_9.'",
           "servis_fisi_ekle_10":"'.$servis_fisi_ekle_10.'",
           "servis_fisi_ekle_cari_1":"'.$servis_fisi_ekle_cari_1.'",
           "servis_fisi_ekle_cari_2":"'.$servis_fisi_ekle_cari_2.'",
           "servis_fisi_ekle_cari_3":"'.$servis_fisi_ekle_cari_3.'",
           "servis_fisi_ekle_cari_4":"'.$servis_fisi_ekle_cari_4.'",
           "servis_fisi_ekle_cari_5":"'.$servis_fisi_ekle_cari_5.'",
           "servis_fisi_ekle_cari_6":"'.$servis_fisi_ekle_cari_6.'",
           "servis_fisi_ekle_cari_7":"'.$servis_fisi_ekle_cari_7.'",
           "servis_fisi_ekle_cari_8":"'.$servis_fisi_ekle_cari_8.'",
           "servis_fisi_ekle_urun_1":"'.$servis_fisi_ekle_urun_1.'",
           "servis_fisi_ekle_urun_2":"'.$servis_fisi_ekle_urun_2.'",
           "servis_fisi_ekle_urun_3":"'.$servis_fisi_ekle_urun_3.'",
           "servis_fisi_ekle_marka_1":"'.$servis_fisi_ekle_marka_1.'",
           "servis_fisi_ekle_marka_2":"'.$servis_fisi_ekle_marka_2.'",
           "servis_fisi_ekle_marka_3":"'.$servis_fisi_ekle_marka_3.'",

           "servis_fisi_duzenle_1":"'.$servis_fisi_duzenle_1.'",
           "servis_fisi_duzenle_2":"'.$servis_fisi_duzenle_2.'",
           "servis_fisi_duzenle_3":"'.$servis_fisi_duzenle_3.'",
           "servis_fisi_duzenle_4":"'.$servis_fisi_duzenle_4.'",
           "servis_fisi_duzenle_5":"'.$servis_fisi_duzenle_5.'",
           "servis_fisi_duzenle_6":"'.$servis_fisi_duzenle_6.'",
           "servis_fisi_duzenle_7":"'.$servis_fisi_duzenle_7.'",
           "servis_fisi_duzenle_8":"'.$servis_fisi_duzenle_8.'",
           "servis_fisi_duzenle_9":"'.$servis_fisi_duzenle_9.'",
           "servis_fisi_duzenle_10":"'.$servis_fisi_duzenle_10.'",
           "servis_fisi_duzenle_11":"'.$servis_fisi_duzenle_11.'",
           "servis_fisi_duzenle_12":"'.$servis_fisi_duzenle_12.'",
           "servis_fisi_duzenle_13":"'.$servis_fisi_duzenle_13.'",
           "servis_fisi_duzenle_14":"'.$servis_fisi_duzenle_14.'",
           "servis_fisi_duzenle_15":"'.$servis_fisi_duzenle_15.'",
           "servis_fisi_duzenle_16":"'.$servis_fisi_duzenle_16.'",
           "servis_fisi_duzenle_17":"'.$servis_fisi_duzenle_17.'",
           "servis_fisi_duzenle_18":"'.$servis_fisi_duzenle_18.'",
           "servis_fisi_duzenle_19":"'.$servis_fisi_duzenle_19.'",
           "servis_fisi_duzenle_20":"'.$servis_fisi_duzenle_20.'",
           "servis_fisi_duzenle_21":"'.$servis_fisi_duzenle_21.'",
           "servis_fisi_duzenle_22":"'.$servis_fisi_duzenle_22.'",
           "servis_fisi_duzenle_cari_1":"'.$servis_fisi_duzenle_cari_1.'",
           "servis_fisi_duzenle_cari_2":"'.$servis_fisi_duzenle_cari_2.'",
           "servis_fisi_duzenle_cari_3":"'.$servis_fisi_duzenle_cari_3.'",
           "servis_fisi_duzenle_cari_4":"'.$servis_fisi_duzenle_cari_4.'",
           "servis_fisi_duzenle_cari_5":"'.$servis_fisi_duzenle_cari_5.'",
           "servis_fisi_duzenle_cari_6":"'.$servis_fisi_duzenle_cari_6.'",
           "servis_fisi_duzenle_cari_7":"'.$servis_fisi_duzenle_cari_7.'",
           "servis_fisi_duzenle_cari_8":"'.$servis_fisi_duzenle_cari_8.'",
           "servis_fisi_duzenle_urun_1":"'.$servis_fisi_duzenle_urun_1.'",
           "servis_fisi_duzenle_urun_2":"'.$servis_fisi_duzenle_urun_2.'",
           "servis_fisi_duzenle_urun_3":"'.$servis_fisi_duzenle_urun_3.'",
           "servis_fisi_duzenle_marka_1":"'.$servis_fisi_duzenle_marka_1.'",
           "servis_fisi_duzenle_marka_2":"'.$servis_fisi_duzenle_marka_2.'",
           "servis_fisi_duzenle_marka_3":"'.$servis_fisi_duzenle_marka_3.'",

           "cari_listele_1":"'.$cari_listele_1.'",
           "cari_listele_2":"'.$cari_listele_2.'",
           "cari_listele_3":"'.$cari_listele_3.'",
           "cari_listele_4":"'.$cari_listele_4.'",
           "cari_listele_5":"'.$cari_listele_5.'",
           "cari_listele_6":"'.$cari_listele_6.'",
           "cari_listele_7":"'.$cari_listele_7.'",
           "cari_listele_modal_1":"'.$cari_listele_modal_1.'",
           "cari_listele_modal_2":"'.$cari_listele_modal_2.'",
           "cari_listele_modal_3":"'.$cari_listele_modal_3.'",
           "cari_listele_modal_4":"'.$cari_listele_modal_4.'",
           "cari_listele_modal_5":"'.$cari_listele_modal_5.'",
           "cari_listele_modal_6":"'.$cari_listele_modal_6.'",
           "cari_listele_modal_7":"'.$cari_listele_modal_7.'",
           "cari_listele_modal_8":"'.$cari_listele_modal_8.'",

           "yedek_parca_ekle_1":"'.$yedek_parca_ekle_1.'",
           "yedek_parca_ekle_2":"'.$yedek_parca_ekle_2.'",
           "yedek_parca_ekle_3":"'.$yedek_parca_ekle_3.'",
           "yedek_parca_ekle_4":"'.$yedek_parca_ekle_4.'",

           "yedek_parca_duzenle_1":"'.$yedek_parca_duzenle_1.'",
           "yedek_parca_duzenle_2":"'.$yedek_parca_duzenle_2.'",
           "yedek_parca_duzenle_3":"'.$yedek_parca_duzenle_3.'",
           "yedek_parca_duzenle_4":"'.$yedek_parca_duzenle_4.'",

           "yedek_parca_listele_1":"'.$yedek_parca_listele_1.'",
           "yedek_parca_listele_2":"'.$yedek_parca_listele_2.'",
           "yedek_parca_listele_3":"'.$yedek_parca_listele_3.'",
           "yedek_parca_listele_4":"'.$yedek_parca_listele_4.'",
           "yedek_parca_listele_5":"'.$yedek_parca_listele_5.'",
           "yedek_parca_listele_6":"'.$yedek_parca_listele_6.'",
           "yedek_parca_listele_7":"'.$yedek_parca_listele_7.'",

           "hizmet_ekle_1":"'.$hizmet_ekle_1.'",
           "hizmet_ekle_2":"'.$hizmet_ekle_2.'",

           "hizmet_duzenle_1":"'.$hizmet_duzenle_1.'",
           "hizmet_duzenle_2":"'.$hizmet_duzenle_2.'",

           "hizmet_listele_1":"'.$hizmet_listele_1.'",
           "hizmet_listele_2":"'.$hizmet_listele_2.'",
           "hizmet_listele_3":"'.$hizmet_listele_3.'",
           "hizmet_listele_4":"'.$hizmet_listele_4.'",
           "hizmet_listele_5":"'.$hizmet_listele_5.'",

           "tahsilatlar_1":"'.$tahsilatlar_1.'",
           "tahsilatlar_2":"'.$tahsilatlar_2.'",
           "tahsilatlar_3":"'.$tahsilatlar_3.'",
           "tahsilatlar_4":"'.$tahsilatlar_4.'",
           "tahsilatlar_5":"'.$tahsilatlar_5.'",
           "tahsilatlar_6":"'.$tahsilatlar_6.'",

           "tanimlamalar_yetki_gruplari_listele_1":"'.$tanimlamalar_yetki_gruplari_listele_1.'",
           "tanimlamalar_yetki_gruplari_listele_2":"'.$tanimlamalar_yetki_gruplari_listele_2.'",
           "tanimlamalar_yetki_gruplari_listele_3":"'.$tanimlamalar_yetki_gruplari_listele_3.'",

           "tanimlamalar_yetki_1":"'.$tanimlamalar_yetki_1.'",
           "tanimlamalar_yetki_1_1":"'.$tanimlamalar_yetki_1_1.'",
           "tanimlamalar_yetki_1_2":"'.$tanimlamalar_yetki_1_2.'",
           "tanimlamalar_yetki_1_3":"'.$tanimlamalar_yetki_1_3.'",
           "tanimlamalar_yetki_1_4":"'.$tanimlamalar_yetki_1_4.'",
           "tanimlamalar_yetki_1_5":"'.$tanimlamalar_yetki_1_5.'",
           "tanimlamalar_yetki_1_6":"'.$tanimlamalar_yetki_1_6.'",
           "tanimlamalar_yetki_1_7":"'.$tanimlamalar_yetki_1_7.'",
           "tanimlamalar_yetki_1_8":"'.$tanimlamalar_yetki_1_8.'",
           "tanimlamalar_yetki_1_9":"'.$tanimlamalar_yetki_1_9.'",
           "tanimlamalar_yetki_1_10":"'.$tanimlamalar_yetki_1_10.'",
           "tanimlamalar_yetki_1_11":"'.$tanimlamalar_yetki_1_11.'",
           "tanimlamalar_yetki_1_12":"'.$tanimlamalar_yetki_1_12.'",
           "tanimlamalar_yetki_1_13":"'.$tanimlamalar_yetki_1_13.'",
           "tanimlamalar_yetki_2":"'.$tanimlamalar_yetki_2.'",
           "tanimlamalar_yetki_2_1":"'.$tanimlamalar_yetki_2_1.'",
           "tanimlamalar_yetki_2_2":"'.$tanimlamalar_yetki_2_2.'",
           "tanimlamalar_yetki_2_3":"'.$tanimlamalar_yetki_2_3.'",
           "tanimlamalar_yetki_2_4":"'.$tanimlamalar_yetki_2_4.'",
           "tanimlamalar_yetki_3":"'.$tanimlamalar_yetki_3.',
           "tanimlamalar_yetki_3_1":"'.$tanimlamalar_yetki_3_1.',
           "tanimlamalar_yetki_3_2":"'.$tanimlamalar_yetki_3_2.',
           "tanimlamalar_yetki_3_3":"'.$tanimlamalar_yetki_3_3.',
           "tanimlamalar_yetki_3_4":"'.$tanimlamalar_yetki_3_4.',
           "tanimlamalar_yetki_3_5":"'.$tanimlamalar_yetki_3_5.',
           "tanimlamalar_yetki_3_6":"'.$tanimlamalar_yetki_3_6.',
           "tanimlamalar_yetki_3_7":"'.$tanimlamalar_yetki_3_7.',
           "tanimlamalar_yetki_3_8":"'.$tanimlamalar_yetki_3_8.',
           "tanimlamalar_yetki_3_9":"'.$tanimlamalar_yetki_3_9.',
           "tanimlamalar_yetki_3_10":"'.$tanimlamalar_yetki_3_10.',
           "tanimlamalar_yetki_3_11":"'.$tanimlamalar_yetki_3_11.',
           "tanimlamalar_yetki_3_12":"'.$tanimlamalar_yetki_3_12.',
           "tanimlamalar_yetki_3_13":"'.$tanimlamalar_yetki_3_13.',
           "tanimlamalar_yetki_3_14":"'.$tanimlamalar_yetki_3_14.',
           "tanimlamalar_yetki_3_15":"'.$tanimlamalar_yetki_3_15.',
           "tanimlamalar_yetki_3_16":"'.$tanimlamalar_yetki_3_16.',
           "tanimlamalar_yetki_3_17":"'.$tanimlamalar_yetki_3_17.',
           "tanimlamalar_yetki_3_18":"'.$tanimlamalar_yetki_3_18.',
           "tanimlamalar_yetki_4":"'.$tanimlamalar_yetki_4.',
           "tanimlamalar_yetki_4_1":"'.$tanimlamalar_yetki_4_1.',
           "tanimlamalar_yetki_4_2":"'.$tanimlamalar_yetki_4_2.',
           "tanimlamalar_yetki_4_3":"'.$tanimlamalar_yetki_4_3.',
           "tanimlamalar_yetki_5":"'.$tanimlamalar_yetki_5.',
           "tanimlamalar_yetki_5_1":"'.$tanimlamalar_yetki_5_1.',
           "tanimlamalar_yetki_5_2":"'.$tanimlamalar_yetki_5_2.',
           "tanimlamalar_yetki_5_3":"'.$tanimlamalar_yetki_5_3.',
           "tanimlamalar_yetki_6":"'.$tanimlamalar_yetki_6.',
           "tanimlamalar_yetki_6_1":"'.$tanimlamalar_yetki_6_1.',
           "tanimlamalar_yetki_7":"'.$tanimlamalar_yetki_7.',
           "tanimlamalar_yetki_7_1":"'.$tanimlamalar_yetki_7_1.',
           "tanimlamalar_yetki_7_2":"'.$tanimlamalar_yetki_7_2.',
           "tanimlamalar_yetki_7_3":"'.$tanimlamalar_yetki_7_3.',
           "tanimlamalar_yetki_8":"'.$tanimlamalar_yetki_8.',
           "tanimlamalar_yetki_8_1":"'.$tanimlamalar_yetki_8_1.',
           "tanimlamalar_yetki_8_2":"'.$tanimlamalar_yetki_8_2.',
           "tanimlamalar_yetki_8_3":"'.$tanimlamalar_yetki_8_3.',
           "tanimlamalar_yetki_8_4":"'.$tanimlamalar_yetki_8_4.',
           "tanimlamalar_yetki_9":"'.$tanimlamalar_yetki_9.',
           "tanimlamalar_yetki_9_1":"'.$tanimlamalar_yetki_9_1.',
           "tanimlamalar_yetki_9_2":"'.$tanimlamalar_yetki_9_2.',
           "tanimlamalar_yetki_10":"'.$tanimlamalar_yetki_10.',
           "tanimlamalar_yetki_10_1":"'.$tanimlamalar_yetki_10_1.',
           "tanimlamalar_yetki_11":"'.$tanimlamalar_yetki_11.',
           "tanimlamalar_yetki_11_1":"'.$tanimlamalar_yetki_11_1.',
           "tanimlamalar_yetki_12":"'.$tanimlamalar_yetki_12.',




           "tanimlamalar_durumlar_1":"'.$tanimlamalar_durumlar_1.'",
           "tanimlamalar_durumlar_2":"'.$tanimlamalar_durumlar_2.'",
           "tanimlamalar_durumlar_3":"'.$tanimlamalar_durumlar_3.'",
           "tanimlamalar_durumlar_4":"'.$tanimlamalar_durumlar_4.'",
           "tanimlamalar_durumlar_modal_1":"'.$tanimlamalar_durumlar_modal_1.'",
           "tanimlamalar_durumlar_modal_2":"'.$tanimlamalar_durumlar_modal_2.'",
           "tanimlamalar_durumlar_modal_3":"'.$tanimlamalar_durumlar_modal_3.'",
           "tanimlamalar_durumlar_modal_4":"'.$tanimlamalar_durumlar_modal_4.'",

           "tanimlamalar_urunler_1":"'.$tanimlamalar_urunler_1.'",
           "tanimlamalar_urunler_2":"'.$tanimlamalar_urunler_2.'",
           "tanimlamalar_urunler_3":"'.$tanimlamalar_urunler_3.'",
           "tanimlamalar_urunler_4":"'.$tanimlamalar_urunler_4.'",
           "tanimlamalar_urunler_modal_1":"'.$tanimlamalar_urunler_modal_1.'",
           "tanimlamalar_urunler_modal_2":"'.$tanimlamalar_urunler_modal_2.'",
           "tanimlamalar_urunler_modal_3":"'.$tanimlamalar_urunler_modal_3.'",

           "tanimlamalar_markalar_1":"'.$tanimlamalar_markalar_1.'",
           "tanimlamalar_markalar_2":"'.$tanimlamalar_markalar_2.'",
           "tanimlamalar_markalar_3":"'.$tanimlamalar_markalar_3.'",
           "tanimlamalar_markalar_4":"'.$tanimlamalar_markalar_4.'",
           "tanimlamalar_markalar_modal_1":"'.$tanimlamalar_markalar_modal_1.'",
           "tanimlamalar_markalar_modal_2":"'.$tanimlamalar_markalar_modal_2.'",
           "tanimlamalar_markalar_modal_3":"'.$tanimlamalar_markalar_modal_3.'",

           "tanimlamalar_sms_sablon_1":"'.$tanimlamalar_sms_sablon_1.'",
           "tanimlamalar_sms_sablon_2":"'.$tanimlamalar_sms_sablon_2.'",
           "tanimlamalar_sms_sablon_3":"'.$tanimlamalar_sms_sablon_3.'",
           "tanimlamalar_sms_sablon_4":"'.$tanimlamalar_sms_sablon_4.'",
           "tanimlamalar_sms_sablon_modal_1":"'.$tanimlamalar_sms_sablon_modal_1.'",
           "tanimlamalar_sms_sablon_modal_2":"'.$tanimlamalar_sms_sablon_modal_2.'",
           "tanimlamalar_sms_sablon_modal_3":"'.$tanimlamalar_sms_sablon_modal_3.'",
           "tanimlamalar_sms_sablon_modal_4":"'.$tanimlamalar_sms_sablon_modal_4.'",

           "tanimlamalar_email_sablon_1":"'.$tanimlamalar_email_sablon_1.'",
           "tanimlamalar_email_sablon_2":"'.$tanimlamalar_email_sablon_2.'",
           "tanimlamalar_email_sablon_3":"'.$tanimlamalar_email_sablon_3.'",
           "tanimlamalar_email_sablon_4":"'.$tanimlamalar_email_sablon_4.'",
           "tanimlamalar_email_sablon_modal_1":"'.$tanimlamalar_email_sablon_modal_1.'",
           "tanimlamalar_email_sablon_modal_2":"'.$tanimlamalar_email_sablon_modal_2.'",
           "tanimlamalar_email_sablon_modal_3":"'.$tanimlamalar_email_sablon_modal_3.'",
           "tanimlamalar_email_sablon_modal_4":"'.$tanimlamalar_email_sablon_modal_4.'",

           "personel_ekle_1":"'.$personel_ekle_1.'",
           "personel_ekle_2":"'.$personel_ekle_2.'",
           "personel_ekle_3":"'.$personel_ekle_3.'",
           "personel_ekle_4":"'.$personel_ekle_4.'",
           "personel_ekle_5":"'.$personel_ekle_5.'",
           "personel_ekle_6":"'.$personel_ekle_6.'",

           "personel_listele_1":"'.$personel_listele_1.'",
           "personel_listele_2":"'.$personel_listele_2.'",
           "personel_listele_3":"'.$personel_listele_3.'",
           "personel_listele_4":"'.$personel_listele_4.'",
           "personel_listele_5":"'.$personel_listele_5.'",
           "personel_listele_6":"'.$personel_listele_6.'",

           "hatirlatma_1":"'.$hatirlatma_1.'",
           "hatirlatma_2":"'.$hatirlatma_2.'",
           "hatirlatma_3":"'.$hatirlatma_3.'",
           "hatirlatma_4":"'.$hatirlatma_4.'",
           "hatirlatma_5":"'.$hatirlatma_5.'",
           "hatirlatma_6":"'.$hatirlatma_6.'",
           "hatirlatma_modal_1":"'.$hatirlatma_modal_1.'",
           "hatirlatma_modal_2":"'.$hatirlatma_modal_2.'",
           "hatirlatma_modal_3":"'.$hatirlatma_modal_3.'",
           "hatirlatma_modal_4":"'.$hatirlatma_modal_4.'",
           "hatirlatma_modal_5":"'.$hatirlatma_modal_5.'",

           "ayarlar_firma_1":"'.$ayarlar_firma_1.'",
           "ayarlar_firma_2":"'.$ayarlar_firma_2.'",
           "ayarlar_firma_3":"'.$ayarlar_firma_3.'",
           "ayarlar_firma_firma_1":"'.$ayarlar_firma_firma_1.'",
           "ayarlar_firma_firma_2":"'.$ayarlar_firma_firma_2.'",
           "ayarlar_firma_firma_3":"'.$ayarlar_firma_firma_3.'",
           "ayarlar_firma_firma_4":"'.$ayarlar_firma_firma_4.'",
           "ayarlar_firma_firma_5":"'.$ayarlar_firma_firma_5.'",
           "ayarlar_firma_firma_6":"'.$ayarlar_firma_firma_6.'",
           "ayarlar_firma_firma_7":"'.$ayarlar_firma_firma_7.'",
           "ayarlar_firma_firma_8":"'.$ayarlar_firma_firma_8.'",
           "ayarlar_firma_sifre_1":"'.$ayarlar_firma_sifre_1.'",
           "ayarlar_firma_sifre_2":"'.$ayarlar_firma_sifre_2.'",
           "ayarlar_firma_sifre_3":"'.$ayarlar_firma_sifre_3.'",
           "ayarlar_firma_sifre_4":"'.$ayarlar_firma_sifre_4.'",
           "ayarlar_firma_logo_1":"'.$ayarlar_firma_logo_1.'",
           "ayarlar_firma_logo_2":"'.$ayarlar_firma_logo_2.'",

           "ayarlar_sms_1":"'.$ayarlar_sms_1.'",
           "ayarlar_sms_2":"'.$ayarlar_sms_2.'",
           "ayarlar_sms_3":"'.$ayarlar_sms_3.'",
           "ayarlar_sms_4":"'.$ayarlar_sms_4.'",
           "ayarlar_sms_5":"'.$ayarlar_sms_5.'",
           "ayarlar_sms_6":"'.$ayarlar_sms_6.'",

           "translate_1":"'.$translate_1.'",
           "translate_2":"'.$translate_2.'",
           "translate_2_1":"'.$translate_2_1.'",
           "translate_2_2":"'.$translate_2_2.'",
           "translate_2_3":"'.$translate_2_3.'",
           "translate_3":"'.$translate_3.'",
           "translate_3_1":"'.$translate_3_1.'",
           "translate_3_2":"'.$translate_3_2.'",
           "translate_3_3":"'.$translate_3_3.'",
           "translate_4":"'.$translate_4.'",
           "translate_4_1":"'.$translate_4_1.'",
           "translate_4_2":"'.$translate_4_2.'",
           "translate_4_3":"'.$translate_4_3.'",
           "translate_5":"'.$translate_5.'",
           "translate_5_1":"'.$translate_5_1.'",
           "translate_6":"'.$translate_6.'",
           "translate_7":"'.$translate_7.'",
           "translate_8":"'.$translate_8.'",
           "translate_9":"'.$translate_9.'",
           "translate_10":"'.$translate_10.'",
           "translate_11":"'.$translate_11.'",
           "translate_12":"'.$translate_12.'",
           "translate_13":"'.$translate_13.'",
           "translate_14":"'.$translate_14.'",
           "translate_14_1":"'.$translate_14_1.'",
           "translate_15":"'.$translate_15.'",
           "translate_15_1":"'.$translate_15_1.'",
           "translate_16":"'.$translate_16.'",
           "translate_16_1":"'.$translate_16_1.'",
           "translate_17":"'.$translate_17.'",
           "translate_17_1":"'.$translate_17_1.'",
           "translate_18":"'.$translate_18.'",
           "translate_18_1":"'.$translate_18_1.'",
           "translate_19":"'.$translate_19.'",
           "translate_20":"'.$translate_20.'",
           "translate_21":"'.$translate_21.'",
           "translate_21_1":"'.$translate_21_1.'",
           "translate_22":"'.$translate_22.'",
           "translate_23":"'.$translate_23.'",
           "translate_24":"'.$translate_24.'",
           "translate_25":"'.$translate_25.'",
           "translate_26":"'.$translate_26.'"

























       }'
           ;

       $dosya =fopen("ifadeler.json" , 'w'); //touch fonksiyonu ile oluşturduğumuz dosyayı açıyoruz , w -> write

       fwrite($dosya, $text); //dosyamıza text'imizi ekliyoruz

       fclose($dosya); //dosyamızı kapatıyoruz

       return back();

    }


}
