<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\View;
use App\ServisFisi;

use Illuminate\Support\Facades\Auth;


class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        Schema::defaultStringLength(191);

        view()->composer('*', function ($view) {
        if (Auth::check()) {
            $view->with('gorevler', ServisFisi::where('personel_id', Auth::user()->id)->where('gorev_durum','BEKLEMEDE')->orderByDesc('id')->limit(3)->get());
            $view->with('gorevsayi', ServisFisi::where('personel_id', Auth::user()->id)->where('gorev_durum','BEKLEMEDE')->count());
        }
    });
    }
}
