<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHatirlatmalarTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hatirlatmalar', function (Blueprint $table) {
            $table->increments('id');
            $table->string('baslik');
            $table->string('icerik');
            $table->string('tarih')->unique();
            $table->string('durum');

            $table->timestamps();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('hatirlatmalar');
    }
}
