@extends('admin.template')
@section('icerik')
<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>

<form method="POST" action="{{ route('home.servis_fisi.update',$duzenlenecekservis_fisi->id) }}">
    @method('PATCH')
    @csrf
    {{csrf_field()}}

    <div class="container-fluid">
    <div class="row">
        <div class="col-lg-6">
            <div class="card card-dark">
                <div class="card-header">
                    <h5 class="m-0">{{ $veri->servis_fisi_duzenle_1 }}</h5>
                </div>
                <div class="card-body">
                    <div class="form-group row">
                        <label class="col-sm-2">{{ $veri->servis_fisi_duzenle_2 }}</label>
                        <div class="col-sm-10">
                            <div class="input-group">
                                <div class="custom-file">
                                    <select class="cari form-control select2bs4 select2-hidden-accessible" name="cari" id="cari" style="width: 100%;" data-select2-id="1" tabindex="-1" aria-hidden="true" required>
                                        <option value="">Seçiniz</option>
                                        @foreach ($cariler as $cari)
                                            <option @if ($cari->id == $duzenlenecekservis_fisi->cari_id )
                                                selected
                                            @endif
                                            value={{ $cari->id }}>{{ $cari->isim }}</option>
                                        @endforeach
                                      </select>
                                </div>
                                <div class="input-group-append">
                                    @if (Auth::user()->yetki->cari_ekle == 1)
                                    <button type="button" class="btn btn-success" data-toggle="modal" data-target="#create">
                                       +
                                      </button>
                                      @endif
                                </div>
                              </div>
                              <br><br><br><br>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="card card-danger">
                <div class="card-header">
                    <h5 class="m-0">{{ $veri->servis_fisi_duzenle_3 }}</h5>
                </div>
                <div class="card-body">



                    <div class="form-group row">
                        <label class="col-sm-3">{{ $veri->servis_fisi_duzenle_4 }}</label>
                        <div class="col-sm-3">
                            <div class="input-group input-group">
                                <select name="urun" id="urun" class="form-control" required>
                                    <option value="">Ürün Seçiniz</option>
                                    @foreach ($urunler as $urun)
                                        <option @if ($urun->id == $duzenlenecekservis_fisi->urun_id )
                                            selected
                                        @endif
                                        value={{ $urun->id }}>{{ $urun->isim }}</option>
                                    @endforeach
                                </select>
                                <span class="input-group-append">
                                    @if (Auth::user()->yetki->urun_ekle == 1)
                                    <button type="button" class="btn btn-success" data-toggle="modal" data-target="#urunekle">
                                        +
                                       </button>
                                       @endif
                                </span>
                              </div>

                        </div>
                        <div class="col-sm-3">
                            <div class="input-group input-group">
                                <select name="marka" id="marka" class="form-control" required>
                                    <option value="">Marka Seçiniz</option>
                                    @foreach ($markalar as $marka)
                                        <option @if ($marka->id == $duzenlenecekservis_fisi->marka_id )
                                            selected
                                        @endif
                                        value={{ $marka->id }}>{{ $marka->isim }}</option>
                                    @endforeach
                                </select>
                                <span class="input-group-append">
                                    @if (Auth::user()->yetki->marka_ekle == 1)
                                    <button type="button" class="btn btn-success" data-toggle="modal" data-target="#markaekle">
                                        +
                                       </button>
                                       @endif
                                </span>
                              </div>
                        </div>
                        <div class="col-sm-3">
                            <input type="text" name="model" class="form-control" name="model" placeholder="Model" value="{{ $duzenlenecekservis_fisi->model }}" >
                        </div>
                    </div>

                    <div class="form-group row">
                        <label class="col-sm-3">{{ $veri->servis_fisi_duzenle_5 }}</label>
                        <div class="col-sm-9">
                            <input type="text" class="form-control" name="seri" placeholder="Seri No" value="{{ $duzenlenecekservis_fisi->seri }}" >
                        </div>
                    </div>

                    <div class="form-group row">
                        <label class="col-sm-3">{{ $veri->servis_fisi_duzenle_6 }}</label>
                        <div class="col-sm-9">
                            <select name="garanti" class="form-control fill" required>
                                <option @if ( $duzenlenecekservis_fisi->garanti == "VAR" ) selected @endif  value="VAR">Garanti Var</option>
                                <option @if ( $duzenlenecekservis_fisi->garanti == "YOK" ) selected @endif value="YOK" selected >Garanti Yok</option>
                            </select>
                        </div>
                    </div>

                </div>
            </div>
            </div>
            <div class="col-lg-12">
                <div class="card card-warning">
                    <div class="card-header">
                        <h5 class="m-0">{{ $veri->servis_fisi_duzenle_7 }}</h5>
                    </div>
                    <div class="card-body">
                        <div class="form-group row">
                            <div class="col-sm-4">
                                <textarea class="form-control" name="ariza" id="ariza" cols="30" rows="2" placeholder="Bildirilen Arıza" required>{{ $duzenlenecekservis_fisi->ariza }}</textarea>

                            </div>
                            <div class="col-sm-4">
                                <textarea class="form-control" name="birliktegelen" id="birliktegelen" cols="30" rows="2" placeholder="Birlikte Gelenler" >{{ $duzenlenecekservis_fisi->birlikte_gelenler }}</textarea>

                            </div>
                            <div class="col-sm-4">
                                <textarea class="form-control" name="aciklama" id="aciklama" cols="30" rows="2" placeholder="Açıklama" >{{ $duzenlenecekservis_fisi->aciklama }}</textarea>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="card card-primary">
                    <div class="card-header">
                        <h5 class="m-0">{{ $veri->servis_fisi_duzenle_8 }}</h5>
                    </div>
                    <div class="card-body">
                        <div class="form-group row">
                            <select name="durum" class="form-control" required>
                                <option value="0">Seçiniz</option>
                                @foreach ($durumlar as $durum)
                                                <option  @if ($durum->id == $duzenlenecekservis_fisi->durum_id )
                                                    selected
                                                @endif
                                                value={{ $durum->id }}>{{ $durum->isim }}</option>
                                            @endforeach
                                          </select>
                            </select>
                            <br><br>
                            <textarea class="form-control" name="durum_aciklama" id=""  rows="3" placeholder="Açıklama">{{ $duzenlenecekservis_fisi->durum_aciklama }}</textarea>
                        </div>
                    </div>
                </div>
            </div>
      @if (Auth::user()->yetki->servis_fisi_gorev == 1)

            <div class="col-lg-6">
                <div class="card card-info">
                    <div class="card-header">
                        <h5 class="m-0">{{ $veri->servis_fisi_duzenle_9 }}</h5>
                    </div>
                    <div class="card-body">
                        <div class="form-group row">
                            <select class="personel form-control select2bs4 select2-hidden-accessible" name="personel" id="personel" style="width: 100%;" data-select2-id="3" tabindex="-1" aria-hidden="true">

                                <option value="">Personel Seçiniz</option>
                                @foreach ($personeller as $personel)
                                    <option  @if ($personel->id == $duzenlenecekservis_fisi->personel_id )
                                        selected
                                    @endif
                                    value={{ $personel->id }}>{{ $personel->isim }}</option>
                                @endforeach
                              </select>
                        </div>
                    </div>
                </div>
            </div>
            @endif
            <div class="col-md-6">
                <div class="card card-pink collapsed-card">
                  <div class="card-header">
                    <h3 class="card-title">{{ $veri->servis_fisi_duzenle_10 }}</h3>

                    <div class="card-tools">
                      <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-plus"></i>
                      </button>
                    </div>
                    <!-- /.card-tools -->
                  </div>
                  <!-- /.card-header -->
                  <div class="card-body" style="display: none;">
                    <div id="yedek_parca" class="input-group control-group ">
                        <div>
                            <table class="table table-bordered " style="width:100%">
                                <tbody>
                                    <tr>
                                        <th style="width: 5%">#</th>
                                        <th style="width: 50%">{{ $veri->servis_fisi_duzenle_11 }}</th>
                                        <th style="width: 15%">{{ $veri->servis_fisi_duzenle_12 }}</th>
                                        <th style="width: 5%">{{ $veri->servis_fisi_duzenle_13 }}</th>
                                    </tr>

                                    @foreach ($servisyedekparcalar as $sira => $servisyedekparca)
                                    <tr>
                                        <td>{{ $servisyedekparca->id }}</td>
                                        <td>{{ $servisyedekparca->parca->isim }}</td>
                                        <td>{{ $servisyedekparca->fiyat }}</td>
                                        <td>
                                            @if (Auth::user()->yetki->servis_fisi_yedek_parca_sil == 1)
                                            <a href="{{ route('home.servis_fisi.yedekparcasil',$servisyedekparca->id) }}" class="btn bg-red waves-effect"><i
                                                    class="material-icons"></i>{{ $veri->servis_fisi_duzenle_13 }}</a>
                                                @endif
                                            </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                                <tbody>

                                    <tr>
                                        <th class="show hidden" style="width: 5%">#</th>
                                        <th class="show hidden" style="width: 50%">{{ $veri->servis_fisi_duzenle_11 }}</th>
                                        <th class="show hidden" style="width: 15%">{{ $veri->servis_fisi_duzenle_12 }}</th>
                                        <th class="show hidden" style="width: 5%">{{ $veri->servis_fisi_duzenle_13 }}</th>
                                    </tr>
                                    @foreach ($servisyedekparcalar as $sira => $servisyedekparca)
                                    <tr>
                                        <td class="show hidden">{{ $servisyedekparca->id }}</td>
                                        <td class="show hidden">{{ $servisyedekparca->parca->isim }}</td>
                                        <td class="show hidden">{{ $servisyedekparca->fiyat }}</td>
                                        <td class="show hidden">
                                            @if (Auth::user()->yetki->servis_fisi_yedek_parca_sil == 1)
                                             <a href="{{ route('home.servis_fisi.yedekparcasil',$servisyedekparca->id) }}" class="btn bg-red waves-effect"><i
                                                    class="material-icons"></i> {{ $veri->servis_fisi_duzenle_13 }}</a>
                                                @endif</td>
                                    </tr>
                                    @endforeach

                                </tbody>
                            </table>
                        </div>




                    </div>
                    @if (Auth::user()->yetki->servis_fisi_yedek_parca_ekle == 1)
 <div class="col-md-4">
                        <div class="input-group-btn">
                            <button class="btn btn-success yedekparca_ekle" type="button"><i
                                    class="glyphicon glyphicon-plus"></i>{{ $veri->servis_fisi_duzenle_14 }}</button>
                        </div>
                    </div>
                    <div class="yedekparca_kopya hidden">
                        <div class="control-group input-group" style="margin-top:10px">
                            <div class="col-md-6">
                                <select name="yedekparca[]" id="yedekparca[]" class=" yedekparca form-control">
                                    <option value="">Seçiniz</option>
                                    @foreach ($yedekparcalar as $yedek_parca)
                                        <option
                                        value={{ $yedek_parca->id }}>{{ $yedek_parca->isim }}</option>
                                    @endforeach
                                  </select>
                            </div>
                            {{-- <div class="col-md-2">
                                <input type="text" class=" fiyat form-control" name="fiyat[]" placeholder="Fiyat">
                            </div> --}}
                            <div id="fiyat"  class="col-md-2">

                            </div>

                            <div class="col-md-2">
                                <div class="input-group-btn">
                                    <button class="btn btn-danger kaldirmaislemi" type="button"><i
                                            class="glyphicon glyphicon-remove"></i> {{ $veri->servis_fisi_duzenle_15 }}</button>
                                </div>
                        </div>
                        </div>
                    </div>
                    @endif
                  </div>
                  <!-- /.card-body -->
                </div>
                <!-- /.card -->
              </div>
              <div class="col-md-6">
                <div class="card card-gray collapsed-card">
                  <div class="card-header">
                    <h3 class="card-title">{{ $veri->servis_fisi_duzenle_16 }}</h3>

                    <div class="card-tools">
                      <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-plus"></i>
                      </button>
                    </div>
                    <!-- /.card-tools -->
                  </div>
                  <!-- /.card-header -->
                  <div class="card-body" style="display: none;">
                    <div id="hizmet" class="input-group control-group ">
                        <div>
                            <table class="table table-bordered " >
                                <tbody>
                                    <tr>
                                        <th style="width: 5%">#</th>
                                        <th style="width: 50%">{{ $veri->servis_fisi_duzenle_17 }}</th>
                                        <th style="width: 15%">{{ $veri->servis_fisi_duzenle_18 }}</th>
                                        <th style="width: 5%">{{ $veri->servis_fisi_duzenle_19 }}</th>
                                    </tr>
                                    @foreach ($servishizmetleri as $sira => $servishizmeti)
                                    <tr>
                                        <td>{{ $servishizmeti->id }}</td>
                                        <td>{{ $servishizmeti->hizmet->isim }}</td>
                                        <td>{{ $servishizmeti->fiyat }}</td>
                                        <td>
                                            @if (Auth::user()->yetki->servis_fisi_hizmet_sil == 1)

                                            <a href="{{ route('home.servis_fisi.hizmetsil',$servishizmeti->id) }}" class="btn bg-red waves-effect"><i
                                                    class="material-icons"></i> {{ $veri->servis_fisi_duzenle_19 }}</a>
                                                @endif
                                            </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                                <tbody>
                                    <tr>
                                        <th class="show hidden" style="width: 5%">#</th>
                                        <th class="show hidden" style="width: 50%">{{ $veri->servis_fisi_duzenle_17 }}</th>
                                        <th class="show hidden" style="width: 15%">{{ $veri->servis_fisi_duzenle_18 }}</th>
                                        <th class="show hidden" style="width: 5%">{{ $veri->servis_fisi_duzenle_19 }}</th>
                                    </tr>
                                    @foreach ($servishizmetleri as $sira => $servishizmeti)
                                    <tr>
                                        <td class="show hidden">{{ $servishizmeti->id }}</td>
                                        <td class="show hidden">{{ $servishizmeti->hizmet->isim }}</td>
                                        <td class="show hidden">{{ $servishizmeti->fiyat }}</td>
                                        <td class="show hidden">
                                            @if (Auth::user()->yetki->servis_fisi_hizmet_sil == 1)
                                            <a href="{{ route('home.servis_fisi.hizmetsil',$servishizmeti->id) }}" class="btn bg-red waves-effect"><i
                                                    class="material-icons"></i> {{ $veri->servis_fisi_duzenle_19 }}</a>
                                                @endif</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                    @if (Auth::user()->yetki->servis_fisi_hizmet_ekle == 1)
                    <div class="col-md-4">
                        <div class="input-group-btn">
                            <button class="btn btn-success hizmet_ekle" type="button"><i
                                    class="glyphicon glyphicon-plus"></i>{{ $veri->servis_fisi_duzenle_20 }}</button>
                        </div>
                    </div>
                    <div class="hizmet_kopya hidden">
                        <div class="control-group input-group" style="margin-top:10px">
                            <div class="col-md-6">
                                <select name="hizmet[]" id="hizmet[]" class=" hizmet form-control">
                                    <option value="">Seçiniz</option>
                                    @foreach ($hizmetler as $hizmet)
                                        <option
                                        value={{ $hizmet->id }}>{{ $hizmet->isim }}</option>
                                    @endforeach
                                  </select>
                            </div>
                            {{-- <div class="col-md-2">
                                <input type="text" class=" fiyat form-control" name="fiyat[]" placeholder="Fiyat">
                            </div> --}}
                            <div id="hizmetfiyat"  class="col-md-2">

                            </div>

                            <div class="col-md-2">
                                <div class="input-group-btn">
                                    <button class="btn btn-danger kaldirmaislemi" type="button"><i
                                            class="glyphicon glyphicon-remove"></i> {{ $veri->servis_fisi_duzenle_21 }}</button>
                                </div>
                        </div>
                        </div>
                    </div>
                    @endif
                  </div>
                  <!-- /.card-body -->
                </div>
                <!-- /.card -->
              </div>
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <button type="submit" class="btn btn-success btn-block">{{ $veri->servis_fisi_duzenle_22 }}</button>
                    </div>
                </div>
            </div>
        </div>
  <!-- /.row -->
</div>
</form>
{{-- Modal Cari Ekle --}}
<div id="create" class="modal fade" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-body">
          <form class="form-horizontal" role="form">
            <div class="row">

            <div class="col-lg-12">
                <div class="form-group row add">
                    <label class="control-label" for="title">Ad Soyad / Ünvan :</label>
                    <input type="text" class="form-control" id="isim" name="isim"  required>
                </div>
            </div>

            <div class="col-lg-6">
                <div class="form-group row add">
                    <label class="control-label" for="title">Cep Telefonu :</label>
                    <input type="text" class="form-control" id="" name="telefon"  required>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="form-group row add">
                    <label class="control-label" for="title">Email :</label>
                    <input type="text" class="form-control" id="" name="email"  >
                </div>
            </div>


            <div class="col-lg-12">
                <div class="form-group row add">
                    <label class="control-label" for="title">Adres :</label>
             <textarea name="adres" class="form-control" id="" ></textarea>
                </div>
            </div>

            <div class="col-lg-6">
                <div class="form-group row add">
                    <label class="control-label" for="title">İl :</label>
                    <input type="text" class="form-control" id="" name="il"  >
                </div>
            </div>
            <div class="col-lg-6">
                <div class="form-group row add">
                    <label class="control-label" for="title">İlçe :</label>
                    <input type="text" class="form-control" id="" name="ilce"  >
                </div>
            </div>
        </div>
          </form>
        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span>Ekle
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>Kapat
              </button>
            </div>
      </div>
    </div>
  </div>
  {{-- Modal Cari Ekle --}}
  {{-- Modal Ürün Ekle --}}
  <div id="urunekle" class="modal fade" role="dialog">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">
          <form class="form-horizontal" role="form">
            <div class="form-group row add">
              <label class="control-label col-sm-3" for="title"><b>Ürün Başlığı :</b></label>
              <div class="col-sm-10">
                <input type="text" class="form-control" id="isimurun" name="isimurun"
                 required>
              </div>
            </div>
          </form>
        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="addurun">
                <span class="glyphicon glyphicon-plus"></span>+ Ekle
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>Kapat
              </button>
            </div>
      </div>
    </div>
  </div>
    {{-- Modal Ürün Ekle --}}
    {{-- Modal Marka Ekle --}}
  <div id="markaekle" class="modal fade" role="dialog">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">
          <form class="form-horizontal" role="form">
            <div class="form-group row add">
              <label class="control-label col-sm-3" for="title"><b>Marka Başlığı :</b></label>
              <div class="col-sm-10">
                <input type="text" class="form-control" id="isimmarka" name="isimmarka"
                 required>
              </div>
            </div>
          </form>
        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="addmarka">
                <span class="glyphicon glyphicon-plus"></span>+ Ekle
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>Kapat
              </button>
            </div>
      </div>
    </div>
  </div>
    {{-- Modal Marka Ekle --}}

</div>
@endsection

@section('css')
<link rel="stylesheet" href="/yonetim/style.css">
<link rel="stylesheet" href="/yonetim/tablo_style.css">

@endsection

@section('js')

<!-- Cari Ekle Script -->
<script type="text/javascript">
    $(document).ready(function(){
		$("#add").click(function() {
            var div=$(this).parent();
            var op=" ";
			$.ajax({
				type:'get',
				url:'{!!URL::to('cariekle')!!}',
				data: {
        'isim': $('input[name=isim]').val(),
        'adres': $('textarea[name=adres]').val()
      },
				success:function(data){
                    $('#create').modal('hide');
                    $('#cari').empty();
                    $('#cari').append('<option value="">Seçiniz</obtion>');
                    $.each(data,function(index,cari){
                        $('#cari').append('<option selected value="'+cari.id+'">'+cari.isim+'</obtion>');
                    })
				},
				error:function(){
				}
			});
		});
	});
</script>
<!-- Cari Ekle Script -->
<!-- Ürün Ekle Script -->
<script type="text/javascript">
    $(document).ready(function(){
		$("#addurun").click(function() {
            var div=$(this).parent();
            var op=" ";
			$.ajax({
				type:'get',
				url:'{!!URL::to('urunekleservis')!!}',
				data: {
        'isimurun': $('input[name=isimurun]').val()
      },
				success:function(data){
                    console.log(data);
                    $('#urunekle').modal('hide');
                    $('#urun').empty();
                    $('#urun').append('<option value="">Seçiniz</option>');
                    $.each(data,function(index,urun){
                        $('#urun').append('<option selected value="'+urun.id+'">'+urun.isim+'</option>');
                    })
				},
				error:function(){

				}
			});
		});
	});
</script>
<!-- Ürün Ekle Script -->
<!-- Marka Ekle Script -->
<script type="text/javascript">
    $(document).ready(function(){
		$("#addmarka").click(function() {
            var div=$(this).parent();
            var op=" ";
			$.ajax({
				type:'get',
				url:'{!!URL::to('markaekleservis')!!}',
				data: {
        'isimmarka': $('input[name=isimmarka]').val()
      },
				success:function(data){
                    console.log(data);
                    $('#markaekle').modal('hide');
                    $('#marka').empty();
                    $('#marka').append('<option value="">Seçiniz</option>');
                    $.each(data,function(index,marka){
                        $('#marka').append('<option selected value="'+marka.id+'">'+marka.isim+'</option>');
                    })
				},
				error:function(){

				}
			});
		});
	});
</script>
<!-- Marka Ekle Script -->
<!-- Yedek Parça - Hizmet Ekle Script -->
<script>
    $(document).ready(function () {
$(".yedekparca_ekle").click(function(){
          var html = $(".yedekparca_kopya").html();
          $("#yedek_parca").after(html);
      });

      $("body").on("click",".kaldirmaislemi",function(){
          $(this).parents(".control-group").remove();
      });
    });
</script>
<script>
    $(document).ready(function () {
$(".hizmet_ekle").click(function(){
          var html = $(".hizmet_kopya").html();
          $("#hizmet").after(html);
      });

      $("body").on("click",".kaldirmaislemi",function(){
          $(this).parents(".control-group").remove();
      });
    });
</script>
<!-- Yedek Parça - Hizmet Ekle Script -->
<!-- Yedek Parca Fiyat Getir Script -->
<script type="text/javascript">
            $(document).on('change','.yedekparca',function () {
			var yedekparca_id=$(this).val();

			var a=$(this).parent();
			console.log(yedekparca_id);
			var op="";
			$.ajax({
				type:'get',
				url:'{!!URL::to('fiyatgetir')!!}',
				data:{'id':yedekparca_id},
				dataType:'json',
				success:function(data){

					console.log(data.satis_fiyati);


                    $("#fiyat").html("<div class=''><input type='text' name='fiyat[]' class='fiyat form-control' value="+data.satis_fiyati+" ></div>");


					// a.find('.fiyat').val(data.satis_fiyati);

				},
				error:function(){

				}
			});
		});
</script>
<!-- Yedek Parca Fiyat Getir Script -->

<!-- Hizmet Fiyat Getir Script -->
<script type="text/javascript">
    $(document).on('change','.hizmet',function () {
    var hizmet_id=$(this).val();

    var a=$(this).parent();
    console.log(hizmet_id);
    var op="";
    $.ajax({
        type:'get',
        url:'{!!URL::to('hizmetfiyatgetir')!!}',
        data:{'id':hizmet_id},
        dataType:'json',
        success:function(data){

            console.log(data.fiyat);


            $("#hizmetfiyat").html("<div class=''><input type='text' name='hizmetfiyat[]' class='fiyat form-control' value="+data.fiyat+" ></div>");


            // a.find('.fiyat').val(data.satis_fiyati);

        },
        error:function(){

        }
    });
});
</script>
<!-- Hizmet Fiyat Getir Script -->


@endsection
