<?php $__env->startSection('icerik'); ?>
<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>

    <?php echo e(csrf_field()); ?>


    <div class="container-fluid">
    <div class="row">

        <div class="col-lg-12">
            <div class="card card-primary">
                <div class="card-body">

                    <div class="form-group ">
                        <table id="example" class="table table-bordered table-striped dataTable" role="grid" aria-describedby="example1_info">
                            <thead>
                                <th style="width: 5%">#</th>
                                <th style="width: 60%"><?php echo e($veri->tanimlamalar_yetki_gruplari_listele_1); ?></th>
                                <th style="width: 15%"><?php echo e($veri->tanimlamalar_yetki_gruplari_listele_2); ?></th>
                                <th style="width: 10%"><?php echo e($veri->tanimlamalar_yetki_gruplari_listele_3); ?></th>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $yetki_gruplari; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $yetki_grubu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td ><?php echo e($yetki_grubu->id); ?></td>
                                    <td ><?php echo e($yetki_grubu->isim); ?></td>


                                    <td ><?php echo e($yetki_grubu->created_at->format('d/m/Y')); ?></td>
                                    <td >
                                        <?php if(Auth::user()->yetki->yetki_grubu_duzenle == 1): ?>
                                        <a href="<?php echo e(route('home.tanimlamalar.yetki_gruplari.duzenle',$yetki_grubu->id)); ?>" class='show-modal btn btn-info btn-sm' ><span class='fa fa-eye'></span></a>
                                    <?php endif; ?>
                                </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>

                        </table>
                        <?php echo $yetki_gruplari->render(); ?>
                    </div>
                </div>
            </div>
        </div>
  <!-- /.row -->
</div>
</form>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
  <!-- DataTables -->
  <link rel="stylesheet" href="/yonetim/plugins/datatables-bs4/css/dataTables.bootstrap4.css">
  <link rel="stylesheet" href="/yonetim/tablo_style.css">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<!-- DataTables -->
<script src="/yonetim/plugins/datatables/jquery.dataTables.js"></script>
<script src="/yonetim/plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>

<script>
    $(function () {

      $('#example').DataTable({
        "paging": false,
        "lengthChange": true,
        "searching": false,
        "ordering": false,
        "info": false,
        "autoWidth": false,
        "language":{
                        "sDecimal":        ",",
                        "sEmptyTable":     "Tabloda herhangi bir veri mevcut değil",
                        "sInfo":           "_TOTAL_ kayıttan _START_ - _END_ arasındaki kayıtlar gösteriliyor",
                        "sInfoEmpty":      "Kayıt yok",
                        "sInfoFiltered":   "(_MAX_ kayıt içerisinden bulunan)",
                        "sInfoPostFix":    "",
                        "sInfoThousands":  ".",
                        "sLengthMenu":     "Sayfada _MENU_ kayıt göster",
                        "sLoadingRecords": "Yükleniyor...",
                        "sProcessing":     "İşleniyor...",
                        "sSearch":         "Ara:",
                        "sZeroRecords":    "Eşleşen kayıt bulunamadı",
                        "oPaginate": {
                            "sFirst":    "İlk",
                            "sLast":     "Son",
                            "sNext":     "Sonraki",
                            "sPrevious": "Önceki"
                        },
                        "oAria": {
                            "sSortAscending":  ": artan sütun sıralamasını aktifleştir",
                            "sSortDescending": ": azalan sütun sıralamasını aktifleştir"
                        },
                        "select": {
                            "rows": {
                                "_": "%d kayıt seçildi",
                                "0": "",
                                "1": "1 kayıt seçildi"
                            }
                        }
                    }
      });
    });
  </script>

<script >
    $(document).ready(function() {
    $('[data-toggle="toggle"]').change(function(){
        $(this).parents().next('.hide').toggle();
    });
});
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\laravel\servis_pro\resources\views/admin/tanimlamalar/yetki_gruplari/listele.blade.php ENDPATH**/ ?>