<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>TEKNİK SERVİS TAKİP</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- Font Awesome -->
  <link rel="stylesheet" href="/yonetim/plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="/yonetim/dist/css/adminlte.min.css">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

  <link rel="stylesheet" href="http://cdn.bootcss.com/toastr.js/latest/css/toastr.min.css">
    <!-- daterange picker -->
    <link rel="stylesheet" href="/yonetim/plugins/daterangepicker/daterangepicker.css">
    <!-- iCheck for checkboxes and radio inputs -->
    <link rel="stylesheet" href="/yonetim/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- Bootstrap Color Picker -->
    <link rel="stylesheet" href="/yonetim/plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
    <!-- Tempusdominus Bbootstrap 4 -->
    <link rel="stylesheet" href="/yonetim/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="/yonetim/plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="/yonetim/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <!-- Bootstrap4 Duallistbox -->
    <link rel="stylesheet" href="/yonetim/plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="/yonetim/dist/css/adminlte.min.css">


    <?php echo $__env->yieldContent('css'); ?>

</head>
<body class="hold-transition sidebar-mini">

<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#"><i class="fas fa-bars"></i></a>
      </li>
      <?php if(Auth::user()->yetki->search == 1): ?>

<form class="form-inline md-12" method="POST" action="<?php echo e(route('home.search.arama')); ?>">
    <?php echo e(csrf_field()); ?>

        <div class="input-group input-group-lg">
          <input class="form-control form-control-navbar" name="veri" type="search" placeholder="Arama" aria-label="Arama">
          <div class="input-group-append">
            <button class="btn btn-navbar" type="submit">
              <i class="fas fa-search"></i>
            </button>
          </div>
        </div>
      </form>
<?php endif; ?>
    </ul>

    <ul class="navbar-nav ml-auto">
        <!-- Messages Dropdown Menu -->
        <li class="nav-item dropdown">
          <a class="nav-link" data-toggle="dropdown" href="#">
            <i class="far fa-bell"></i>
            <span class="badge badge-danger navbar-badge"><?php echo e($gorevsayi); ?></span>
          </a>
          <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
            <?php $__currentLoopData = $gorevler; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gorev): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <!-- bildirim -->
            <aside class="dropdown-item">
              <div class="media">
                <div class="media-body" >
                  <h3 class="dropdown-item-title">
                   <b> <?php echo e(\Illuminate\Support\Str::limit($gorev->cari->isim, $limit = 30, $end = '...')); ?></b>
                  </h3>
                  <a  href="<?php echo e(route('home.gorevler.tamamla',$gorev->id)); ?>"  class="float-right text-sm text-success"><i title="TAMAMLA" class="fas fa-check"></i></a>
                  <p class="text-sm"><?php echo e(\Illuminate\Support\Str::limit($gorev->ariza, $limit = 30, $end = '...')); ?></p>
                </div>
              </div>
            </aside>
            <div class="dropdown-divider"></div>
            <!-- bildirim -->
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


            <div class="dropdown-divider"></div>
            <a href="<?php echo e(route('home.gorevler.listele')); ?>" class="dropdown-item dropdown-footer">Hepsini Gör</a>
          </div>
        </li>
        <!-- Notifications Dropdown Menu -->


      </ul>
</nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside  class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <br>
    <center><img src="/uploads/logo.png" width="230" height="60" /></center>
    </a>


    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="info">
          <a href="#" class="d-block"><?php echo e(Auth::user()->isim); ?></a>
        </div>
      </div>

      <?php
      $string = file_get_contents("ifadeler.json");
      $veri = json_decode($string);
      ?>

      <!-- Sidebar Menu -->
      <nav  class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
               <li class="nav-item">
                <a href="<?php echo e(route('home')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-home"></i>
                  <p><?php echo e($veri->menu_1); ?></p>
                </a>
              </li>
          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-newspaper"></i>
              <p>
                <?php echo e($veri->menu_2); ?>

                <i class="fas fa-angle-left right"></i>
                
              </p>
            </a>
            <ul class="nav nav-treeview">
                <?php if(Auth::user()->yetki->servis_fisi_ekle == 1): ?>
                <li style="background-color:black" class="nav-item">
                    <a href="<?php echo e(route('home.servis_fisi.ekle')); ?>" class="nav-link">
                      <i class="nav-icon fas fa-plus"></i>
                      <p><?php echo e($veri->menu_2_1); ?></p>
                    </a>
                  </li>
                <?php endif; ?>
                <?php if(Auth::user()->yetki->servis_fisi_listele == 1): ?>
                <li style="background-color:black" class="nav-item">
                    <a href="<?php echo e(route('home.servis_fisi.listele')); ?>" class="nav-link">
                      <i class="nav-icon fas fa-list"></i>
                      <p><?php echo e($veri->menu_2_2); ?></p>
                    </a>
                  </li>
                  <?php endif; ?>

            </ul>
          </li>

          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-user-check"></i>
              <p>
                <?php echo e($veri->menu_3); ?>

                <i class="fas fa-angle-left right"></i>
                
              </p>
            </a>
            <ul class="nav nav-treeview">
                <?php if(Auth::user()->yetki->cari_listele == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.cari.listele')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-list"></i>
                  <p><?php echo e($veri->menu_3_1); ?></p>
                </a>
              </li>
              <?php endif; ?>

            </ul>
          </li>

          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-tools"></i>
              <p>
                <?php echo e($veri->menu_4); ?>

                <i class="fas fa-angle-left right"></i>
                
              </p>
            </a>
            <ul class="nav nav-treeview">
                <?php if(Auth::user()->yetki->yedek_parca_ekle == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.yedek_parcalar.ekle')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-plus"></i>
                  <p><?php echo e($veri->menu_4_1); ?></p>
                </a>
              </li>
              <?php endif; ?>
              <?php if(Auth::user()->yetki->yedek_parca_listele == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.yedek_parcalar.listele')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-list"></i>
                  <p><?php echo e($veri->menu_4_2); ?></p>
                </a>
              </li>
              <?php endif; ?>
            </ul>
          </li>

          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-toolbox"></i>
              <p>
                <?php echo e($veri->menu_5); ?>

                <i class="fas fa-angle-left right"></i>
                
              </p>
            </a>
            <ul class="nav nav-treeview">
                <?php if(Auth::user()->yetki->hizmet_ekle == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.hizmetler.ekle')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-plus"></i>
                  <p><?php echo e($veri->menu_5_1); ?></p>
                </a>
              </li>
              <?php endif; ?>
              <?php if(Auth::user()->yetki->hizmet_listele == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.hizmetler.listele')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-list"></i>
                  <p><?php echo e($veri->menu_5_2); ?></p>
                </a>
              </li>
              <?php endif; ?>

            </ul>
          </li>
          <?php if(Auth::user()->yetki->kasa_islemleri == 1): ?>
          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-cash-register"></i>
              <p>
                <?php echo e($veri->menu_6); ?>

                <i class="fas fa-angle-left right"></i>
                
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.kasa.tahsilatlar')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-lira-sign"></i>
                  <p><?php echo e($veri->menu_6_1); ?></p>
                </a>
              </li>


            </ul>
          </li>
        <?php endif; ?>

          <li  class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-list-alt"></i>
              <p>
                <?php echo e($veri->menu_7); ?>

                <i class="fas fa-angle-left right"></i>
                
              </p>
            </a>
            <ul class="nav nav-treeview">
                <li style="background-color:black"  class="nav-item has-treeview">
                    <a href="#" class="nav-link">
                      <i class="nav-icon fas fa-stopwatch"></i>
                      <p>
                        <?php echo e($veri->menu_7_1); ?>

                        <i class="fas fa-angle-left right"></i>
                        
                      </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <?php if(Auth::user()->yetki->yetki_grubu_ekle == 1): ?>
                      <li style="background-color:grey" class="nav-item">
                        <a href="<?php echo e(route('home.tanimlamalar.yetki_gruplari.ekle')); ?>" class="nav-link">
                          <i class="nav-icon fas fa-plus"></i>
                          <p><?php echo e($veri->menu_7_1_1); ?></p>
                        </a>
                      </li>
                      <?php endif; ?>
                      <?php if(Auth::user()->yetki->yetki_grubu_listele == 1): ?>
                      <li style="background-color:grey" class="nav-item">
                        <a href="<?php echo e(route('home.tanimlamalar.yetki_gruplari.listele')); ?>" class="nav-link">
                          <i class="nav-icon fas fa-list"></i>
                          <p><?php echo e($veri->menu_7_1_2); ?></p>
                        </a>
                      </li>
                      <?php endif; ?>


                    </ul>
                </li>
                <?php if(Auth::user()->yetki->durum_listele == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.tanimlamalar.durumlar')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-question"></i>
                  <p><?php echo e($veri->menu_7_2); ?></p>
                </a>
              </li>
              <?php endif; ?>
              <?php if(Auth::user()->yetki->urun_listele == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.tanimlamalar.urunler')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-desktop"></i>
                  <p><?php echo e($veri->menu_7_3); ?></p>
                </a>
              </li>
              <?php endif; ?>
              <?php if(Auth::user()->yetki->marka_listele == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.tanimlamalar.markalar')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-shield-alt"></i>
                  <p><?php echo e($veri->menu_7_4); ?></p>
                </a>
              </li>
              <?php endif; ?>
              <?php if(Auth::user()->yetki->sms_sablon_listele == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.tanimlamalar.sms_sablonlari')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-envelope"></i>
                  <p><?php echo e($veri->menu_7_5); ?></p>
                </a>
              </li>
              <?php endif; ?>
              <?php if(Auth::user()->yetki->email_sablon_listele == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.tanimlamalar.email_sablonlari')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-envelope"></i>
                  <p><?php echo e($veri->menu_7_6); ?></p>
                </a>
              </li>
              <?php endif; ?>


            </ul>
          </li>
          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-user-friends"></i>
              <p>
                <?php echo e($veri->menu_8); ?>

                <i class="fas fa-angle-left right"></i>
                
              </p>
            </a>
            <ul class="nav nav-treeview">
                <?php if(Auth::user()->yetki->personel_ekle == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.personel.ekle')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-plus"></i>
                  <p><?php echo e($veri->menu_8_1); ?></p>
                </a>
              </li>
              <?php endif; ?>
              <?php if(Auth::user()->yetki->personel_listele == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.personel.listele')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-list"></i>
                  <p><?php echo e($veri->menu_8_2); ?></p>
                </a>
              </li>
              <?php endif; ?>
            </ul>
          </li>
          <?php if(Auth::user()->yetki->hatirlatma_listele == 1): ?>
          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-stopwatch"></i>
              <p>
                <?php echo e($veri->menu_9); ?>

                <i class="fas fa-angle-left right"></i>
                
              </p>
            </a>
            <ul class="nav nav-treeview">

              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.hatirlatmalar.listele')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-list"></i>
                  <p><?php echo e($veri->menu_9_1); ?></p>
                </a>
              </li>
            </ul>
          </li>
          <?php endif; ?>


          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-business-time"></i>
              <p>
                <?php echo e($veri->menu_10); ?>

                <i class="fas fa-angle-left right"></i>
                
              </p>
            </a>
            <ul class="nav nav-treeview">

              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.gorevler.listele')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-list"></i>
                  <p><?php echo e($veri->menu_10_1); ?></p>
                </a>
              </li>
            </ul>
          </li>

          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-cog"></i>
              <p>
                <?php echo e($veri->menu_11); ?>

                <i class="fas fa-angle-left right"></i>
                
              </p>
            </a>
            <ul class="nav nav-treeview">
                <?php if(Auth::user()->yetki->ayarlar_firma == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.ayarlar.firma')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-wrench"></i>
                  <p><?php echo e($veri->menu_11_1); ?></p>
                </a>
              </li>
              <?php endif; ?>
              <?php if(Auth::user()->yetki->ayarlar_sms == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.ayarlar.sms')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-cogs"></i>
                  <p><?php echo e($veri->menu_11_2); ?></p>
                </a>
              </li>
              <?php endif; ?>
              <?php if(Auth::user()->yetki->translate == 1): ?>
              <li style="background-color:black" class="nav-item">
                <a href="<?php echo e(route('home.ayarlar.translate')); ?>" class="nav-link">
                  <i class="nav-icon fas fa-globe"></i>
                  <p><?php echo e($veri->menu_11_3); ?></p>
                </a>
              </li>
            <?php endif; ?>
            </ul>
          </li>
          <li class="nav-item ">
            <a  class="nav-link" href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault();
          document.getElementById('logout-form').submit();"><i class="nav-icon fas fa-sign-out-alt"></i><?php echo e($veri->menu_12); ?></a></li>
          <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
              <?php echo csrf_field(); ?>
          </form>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">

          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">

            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

    <!-- Main content -->
    <section class="content">

        <?php echo $__env->yieldContent('icerik'); ?>
   <!-- /.container-fluid -->
      </section>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 3.0.1
    </div>
    <strong>Copyright &copy; 2020 <a target="_blank" href="http://iyisoft.net">İYİSOFT</a>.</strong> All rights
    reserved.
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->





<!-- jQuery -->
<script src="/yonetim/plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="/yonetim/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="/yonetim/dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="/yonetim/dist/js/demo.js"></script>

<script src="/admin/toastr.min.js"></script>

<!-- Custom Js -->
<script src="/admin/js/admin.js"></script>

<!-- Bootstrap Core Js -->
<script src="/admin/plugins/bootstrap/js/bootstrap.js"></script>

<?php echo Toastr::message(); ?>


<!-- Select2 -->
<script src="/yonetim/plugins/select2/js/select2.full.min.js"></script>
<!-- Bootstrap4 Duallistbox -->
<script src="/yonetim/plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js"></script>
<!-- InputMask -->
<script src="/yonetim/plugins/moment/moment.min.js"></script>
<script src="/yonetim/plugins/inputmask/min/jquery.inputmask.bundle.min.js"></script>
<!-- date-range-picker -->
<script src="/yonetim/plugins/daterangepicker/daterangepicker.js"></script>
<!-- bootstrap color picker -->
<script src="/yonetim/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="/yonetim/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
<!-- Bootstrap Switch -->
<script src="/yonetim/plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
<script type="text/javascript" src="ifadeler.json"></script>

<script>
    var mydata = JSON.parse(data);
console.log(mydata[0].menu_1);
$test  = mydata[0].menu_1;
</script>


<?php echo $__env->yieldContent('js'); ?>

<script>
    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Initialize Select2 Elements
      $('.select2bs4').select2({
        theme: 'bootstrap4'
      })
    })
  </script>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\laravel\teknik_servis_takip\resources\views/admin/template.blade.php ENDPATH**/ ?>